//  multiSelection ver 2.0 2019.02.28
//
//  いろいろな検索でレイヤー選択が出来るスクリプト
//  複数レイヤーの特定のプロパティのみを選択するオプション付き
//  
//  ※今後、レイヤーの種類など他の選択も増やす予定
//  
//  ＝更新履歴＝
//  2019.02.28  CC 2014 以上での環境設定の読み込み文字化けに対応 v2.0
//              環境設定からラベルカラーも取得。まだ未実装 v2.0
//  2019.02.15  CC 2012 以上での環境設定の読み込みエラーを修正 v1.2
//
//
//  = curryegg =
//  mail: curryeggs@gmail.com
//  twitter: @curry_eggs
//  blog: http://curryegg.blog.shinobi.jp/
//  


(function()
{
    multiSelection(this);

    function multiSelection(thisObj)
    {
        function runScr()
        {
            //SJIS - UTF16 CharacterCode
            this.codeArr = [
                                ['8140','3000'],['8141','3001'],['8142','3002'],['8143','FF0C'],['8144','FF0E'],['8145','30FB'],['8146','FF1A'],['8147','FF1B'],['8148','FF1F'],
                                ['8149','FF01'],['814A','309B'],['814B','309C'],['814C','00B4'],['814D','FF40'],['814E','00A8'],['814F','FF3E'],['8150','FFE3'],['8151','FF3F'],
                                ['8152','30FD'],['8153','30FE'],['8154','309D'],['8155','309E'],['8156','3003'],['8157','4EDD'],['8158','3005'],['8159','3006'],['815A','3007'],
                                ['815B','30FC'],['815C','2015'],['815D','2010'],['815E','FF0F'],['815F','005C'],['8160','301C'],['8161','2016'],['8162','FF5C'],['8163','2026'],
                                ['8164','2025'],['8165','2018'],['8166','2019'],['8167','201C'],['8168','201D'],['8169','FF08'],['816A','FF09'],['816B','3014'],['816C','3015'],
                                ['816D','FF3B'],['816E','FF3D'],['816F','FF5B'],['8170','FF5D'],['8171','3008'],['8172','3009'],['8173','300A'],['8174','300B'],['8175','300C'],
                                ['8176','300D'],['8177','300E'],['8178','300F'],['8179','3010'],['817A','3011'],['817B','FF0B'],['817C','2212'],['817D','00B1'],['817E','00D7'],
                                ['8180','00F7'],['8181','FF1D'],['8182','2260'],['8183','FF1C'],['8184','FF1E'],['8185','2266'],['8186','2267'],['8187','221E'],['8188','2234'],
                                ['8189','2642'],['818A','2640'],['818B','00B0'],['818C','2032'],['818D','2033'],['818E','2103'],['818F','FFE5'],['8190','FF04'],['8191','00A2'],
                                ['8192','00A3'],['8193','FF05'],['8194','FF03'],['8195','FF06'],['8196','FF0A'],['8197','FF20'],['8198','00A7'],['8199','2606'],['819A','2605'],
                                ['819B','25CB'],['819C','25CF'],['819D','25CE'],['819E','25C7'],['819F','25C6'],['81A0','25A1'],['81A1','25A0'],['81A2','25B3'],['81A3','25B2'],
                                ['81A4','25BD'],['81A5','25BC'],['81A6','203B'],['81A7','3012'],['81A8','2192'],['81A9','2190'],['81AA','2191'],['81AB','2193'],['81AC','3013'],
                                ['81AD','------'],['81AE','------'],['81AF','------'],['81B0','------'],['81B1','------'],['81B2','------'],['81B3','------'],['81B4','------'],['81B5','------'],
                                ['81B6','------'],['81B7','------'],['81B8','2208'],['81B9','220B'],['81BA','2286'],['81BB','2287'],['81BC','2282'],['81BD','2283'],['81BE','222A'],
                                ['81BF','2229'],['81C0','------'],['81C1','------'],['81C2','------'],['81C3','------'],['81C4','------'],['81C5','------'],['81C6','------'],['81C7','------'],
                                ['81C8','2227'],['81C9','2228'],['81CA','00AC'],['81CB','21D2'],['81CC','21D4'],['81CD','2200'],['81CE','2203'],['81CF','------'],['81D0','------'],
                                ['81D1','------'],['81D2','------'],['81D3','------'],['81D4','------'],['81D5','------'],['81D6','------'],['81D7','------'],['81D8','------'],['81D9','------'],
                                ['81DA','2220'],['81DB','22A5'],['81DC','2312'],['81DD','2202'],['81DE','2207'],['81DF','2261'],['81E0','2252'],['81E1','226A'],['81E2','226B'],
                                ['81E3','221A'],['81E4','223D'],['81E5','221D'],['81E6','2235'],['81E7','222B'],['81E8','222C'],['81E9','------'],['81EA','------'],['81EB','------'],
                                ['81EC','------'],['81ED','------'],['81EE','------'],['81EF','------'],['81F0','212B'],['81F1','2030'],['81F2','266F'],['81F3','266D'],['81F4','266A'],
                                ['81F5','2020'],['81F6','2021'],['81F7','00B6'],['81F8','------'],['81F9','------'],['81FA','------'],['81FB','------'],['81FC','25EF'],['8240','------'],
                                ['8241','------'],['8242','------'],['8243','------'],['8244','------'],['8245','------'],['8246','------'],['8247','------'],['8248','------'],['8249','------'],
                                ['824A','------'],['824B','------'],['824C','------'],['824D','------'],['824E','------'],['824F','FF10'],['8250','FF11'],['8251','FF12'],['8252','FF13'],
                                ['8253','FF14'],['8254','FF15'],['8255','FF16'],['8256','FF17'],['8257','FF18'],['8258','FF19'],['8259','------'],['825A','------'],['825B','------'],
                                ['825C','------'],['825D','------'],['825E','------'],['825F','------'],['8260','FF21'],['8261','FF22'],['8262','FF23'],['8263','FF24'],['8264','FF25'],
                                ['8265','FF26'],['8266','FF27'],['8267','FF28'],['8268','FF29'],['8269','FF2A'],['826A','FF2B'],['826B','FF2C'],['826C','FF2D'],['826D','FF2E'],
                                ['826E','FF2F'],['826F','FF30'],['8270','FF31'],['8271','FF32'],['8272','FF33'],['8273','FF34'],['8274','FF35'],['8275','FF36'],['8276','FF37'],
                                ['8277','FF38'],['8278','FF39'],['8279','FF3A'],['827A','------'],['827B','------'],['827C','------'],['827D','------'],['827E','------'],['8280','------'],
                                ['8281','FF41'],['8282','FF42'],['8283','FF43'],['8284','FF44'],['8285','FF45'],['8286','FF46'],['8287','FF47'],['8288','FF48'],['8289','FF49'],
                                ['828A','FF4A'],['828B','FF4B'],['828C','FF4C'],['828D','FF4D'],['828E','FF4E'],['828F','FF4F'],['8290','FF50'],['8291','FF51'],['8292','FF52'],
                                ['8293','FF53'],['8294','FF54'],['8295','FF55'],['8296','FF56'],['8297','FF57'],['8298','FF58'],['8299','FF59'],['829A','FF5A'],['829B','------'],
                                ['829C','------'],['829D','------'],['829E','------'],['829F','3041'],['82A0','3042'],['82A1','3043'],['82A2','3044'],['82A3','3045'],['82A4','3046'],
                                ['82A5','3047'],['82A6','3048'],['82A7','3049'],['82A8','304A'],['82A9','304B'],['82AA','304C'],['82AB','304D'],['82AC','304E'],['82AD','304F'],
                                ['82AE','3050'],['82AF','3051'],['82B0','3052'],['82B1','3053'],['82B2','3054'],['82B3','3055'],['82B4','3056'],['82B5','3057'],['82B6','3058'],
                                ['82B7','3059'],['82B8','305A'],['82B9','305B'],['82BA','305C'],['82BB','305D'],['82BC','305E'],['82BD','305F'],['82BE','3060'],['82BF','3061'],
                                ['82C0','3062'],['82C1','3063'],['82C2','3064'],['82C3','3065'],['82C4','3066'],['82C5','3067'],['82C6','3068'],['82C7','3069'],['82C8','306A'],
                                ['82C9','306B'],['82CA','306C'],['82CB','306D'],['82CC','306E'],['82CD','306F'],['82CE','3070'],['82CF','3071'],['82D0','3072'],['82D1','3073'],
                                ['82D2','3074'],['82D3','3075'],['82D4','3076'],['82D5','3077'],['82D6','3078'],['82D7','3079'],['82D8','307A'],['82D9','307B'],['82DA','307C'],
                                ['82DB','307D'],['82DC','307E'],['82DD','307F'],['82DE','3080'],['82DF','3081'],['82E0','3082'],['82E1','3083'],['82E2','3084'],['82E3','3085'],
                                ['82E4','3086'],['82E5','3087'],['82E6','3088'],['82E7','3089'],['82E8','308A'],['82E9','308B'],['82EA','308C'],['82EB','308D'],['82EC','308E'],
                                ['82ED','308F'],['82EE','3090'],['82EF','3091'],['82F0','3092'],['82F1','3093'],['82F2','------'],['82F3','------'],['82F4','------'],['82F5','------'],
                                ['82F6','------'],['82F7','------'],['82F8','------'],['82F9','------'],['82FA','------'],['82FB','------'],['82FC','------'],['8340','30A1'],['8341','30A2'],
                                ['8342','30A3'],['8343','30A4'],['8344','30A5'],['8345','30A6'],['8346','30A7'],['8347','30A8'],['8348','30A9'],['8349','30AA'],['834A','30AB'],
                                ['834B','30AC'],['834C','30AD'],['834D','30AE'],['834E','30AF'],['834F','30B0'],['8350','30B1'],['8351','30B2'],['8352','30B3'],['8353','30B4'],
                                ['8354','30B5'],['8355','30B6'],['8356','30B7'],['8357','30B8'],['8358','30B9'],['8359','30BA'],['835A','30BB'],['835B','30BC'],['835C','30BD'],
                                ['835D','30BE'],['835E','30BF'],['835F','30C0'],['8360','30C1'],['8361','30C2'],['8362','30C3'],['8363','30C4'],['8364','30C5'],['8365','30C6'],
                                ['8366','30C7'],['8367','30C8'],['8368','30C9'],['8369','30CA'],['836A','30CB'],['836B','30CC'],['836C','30CD'],['836D','30CE'],['836E','30CF'],
                                ['836F','30D0'],['8370','30D1'],['8371','30D2'],['8372','30D3'],['8373','30D4'],['8374','30D5'],['8375','30D6'],['8376','30D7'],['8377','30D8'],
                                ['8378','30D9'],['8379','30DA'],['837A','30DB'],['837B','30DC'],['837C','30DD'],['837D','30DE'],['837E','30DF'],['8380','30E0'],['8381','30E1'],
                                ['8382','30E2'],['8383','30E3'],['8384','30E4'],['8385','30E5'],['8386','30E6'],['8387','30E7'],['8388','30E8'],['8389','30E9'],['838A','30EA'],
                                ['838B','30EB'],['838C','30EC'],['838D','30ED'],['838E','30EE'],['838F','30EF'],['8390','30F0'],['8391','30F1'],['8392','30F2'],['8393','30F3'],
                                ['8394','30F4'],['8395','30F5'],['8396','30F6'],['8397','------'],['8398','------'],['8399','------'],['839A','------'],['839B','------'],['839C','------'],
                                ['839D','------'],['839E','------'],['839F','0391'],['83A0','0392'],['83A1','0393'],['83A2','0394'],['83A3','0395'],['83A4','0396'],['83A5','0397'],
                                ['83A6','0398'],['83A7','0399'],['83A8','039A'],['83A9','039B'],['83AA','039C'],['83AB','039D'],['83AC','039E'],['83AD','039F'],['83AE','03A0'],
                                ['83AF','03A1'],['83B0','03A3'],['83B1','03A4'],['83B2','03A5'],['83B3','03A6'],['83B4','03A7'],['83B5','03A8'],['83B6','03A9'],['83B7','------'],
                                ['83B8','------'],['83B9','------'],['83BA','------'],['83BB','------'],['83BC','------'],['83BD','------'],['83BE','------'],['83BF','03B1'],['83C0','03B2'],
                                ['83C1','03B3'],['83C2','03B4'],['83C3','03B5'],['83C4','03B6'],['83C5','03B7'],['83C6','03B8'],['83C7','03B9'],['83C8','03BA'],['83C9','03BB'],
                                ['83CA','03BC'],['83CB','03BD'],['83CC','03BE'],['83CD','03BF'],['83CE','03C0'],['83CF','03C1'],['83D0','03C3'],['83D1','03C4'],['83D2','03C5'],
                                ['83D3','03C6'],['83D4','03C7'],['83D5','03C8'],['83D6','03C9'],['83D7','------'],['83D8','------'],['83D9','------'],['83DA','------'],['83DB','------'],
                                ['83DC','------'],['83DD','------'],['83DE','------'],['83DF','------'],['83E0','------'],['83E1','------'],['83E2','------'],['83E3','------'],['83E4','------'],
                                ['83E5','------'],['83E6','------'],['83E7','------'],['83E8','------'],['83E9','------'],['83EA','------'],['83EB','------'],['83EC','------'],['83ED','------'],
                                ['83EE','------'],['83EF','------'],['83F0','------'],['83F1','------'],['83F2','------'],['83F3','------'],['83F4','------'],['83F5','------'],['83F6','------'],
                                ['83F7','------'],['83F8','------'],['83F9','------'],['83FA','------'],['83FB','------'],['83FC','------'],['8440','0410'],['8441','0411'],['8442','0412'],
                                ['8443','0413'],['8444','0414'],['8445','0415'],['8446','0401'],['8447','0416'],['8448','0417'],['8449','0418'],['844A','0419'],['844B','041A'],
                                ['844C','041B'],['844D','041C'],['844E','041D'],['844F','041E'],['8450','041F'],['8451','0420'],['8452','0421'],['8453','0422'],['8454','0423'],
                                ['8455','0424'],['8456','0425'],['8457','0426'],['8458','0427'],['8459','0428'],['845A','0429'],['845B','042A'],['845C','042B'],['845D','042C'],
                                ['845E','042D'],['845F','042E'],['8460','042F'],['8461','------'],['8462','------'],['8463','------'],['8464','------'],['8465','------'],['8466','------'],
                                ['8467','------'],['8468','------'],['8469','------'],['846A','------'],['846B','------'],['846C','------'],['846D','------'],['846E','------'],['846F','------'],
                                ['8470','0430'],['8471','0431'],['8472','0432'],['8473','0433'],['8474','0434'],['8475','0435'],['8476','0451'],['8477','0436'],['8478','0437'],
                                ['8479','0438'],['847A','0439'],['847B','043A'],['847C','043B'],['847D','043C'],['847E','043D'],['8480','043E'],['8481','043F'],['8482','0440'],
                                ['8483','0441'],['8484','0442'],['8485','0443'],['8486','0444'],['8487','0445'],['8488','0446'],['8489','0447'],['848A','0448'],['848B','0449'],
                                ['848C','044A'],['848D','044B'],['848E','044C'],['848F','044D'],['8490','044E'],['8491','044F'],['8492','------'],['8493','------'],['8494','------'],
                                ['8495','------'],['8496','------'],['8497','------'],['8498','------'],['8499','------'],['849A','------'],['849B','------'],['849C','------'],['849D','------'],
                                ['849E','------'],['849F','2500'],['84A0','2502'],['84A1','250C'],['84A2','2510'],['84A3','2518'],['84A4','2514'],['84A5','251C'],['84A6','252C'],
                                ['84A7','2524'],['84A8','2534'],['84A9','253C'],['84AA','2501'],['84AB','2503'],['84AC','250F'],['84AD','2513'],['84AE','251B'],['84AF','2517'],
                                ['84B0','2523'],['84B1','2533'],['84B2','252B'],['84B3','253B'],['84B4','254B'],['84B5','2520'],['84B6','252F'],['84B7','2528'],['84B8','2537'],
                                ['84B9','253F'],['84BA','251D'],['84BB','2530'],['84BC','2525'],['84BD','2538'],['84BE','2542'],['84BF','------'],['84C0','------'],['84C1','------'],
                                ['84C2','------'],['84C3','------'],['84C4','------'],['84C5','------'],['84C6','------'],['84C7','------'],['84C8','------'],['84C9','------'],['84CA','------'],
                                ['84CB','------'],['84CC','------'],['84CD','------'],['84CE','------'],['84CF','------'],['84D0','------'],['84D1','------'],['84D2','------'],['84D3','------'],
                                ['84D4','------'],['84D5','------'],['84D6','------'],['84D7','------'],['84D8','------'],['84D9','------'],['84DA','------'],['84DB','------'],['84DC','------'],
                                ['84DD','------'],['84DE','------'],['84DF','------'],['84E0','------'],['84E1','------'],['84E2','------'],['84E3','------'],['84E4','------'],['84E5','------'],
                                ['84E6','------'],['84E7','------'],['84E8','------'],['84E9','------'],['84EA','------'],['84EB','------'],['84EC','------'],['84ED','------'],['84EE','------'],
                                ['84EF','------'],['84F0','------'],['84F1','------'],['84F2','------'],['84F3','------'],['84F4','------'],['84F5','------'],['84F6','------'],['84F7','------'],
                                ['84F8','------'],['84F9','------'],['84FA','------'],['84FB','------'],['84FC','------'],['8540','------'],['8541','------'],['8542','------'],['8543','------'],
                                ['8544','------'],['8545','------'],['8546','------'],['8547','------'],['8548','------'],['8549','------'],['854A','------'],['854B','------'],['854C','------'],
                                ['854D','------'],['854E','------'],['854F','------'],['8550','------'],['8551','------'],['8552','------'],['8553','------'],['8554','------'],['8555','------'],
                                ['8556','------'],['8557','------'],['8558','------'],['8559','------'],['855A','------'],['855B','------'],['855C','------'],['855D','------'],['855E','------'],
                                ['855F','------'],['8560','------'],['8561','------'],['8562','------'],['8563','------'],['8564','------'],['8565','------'],['8566','------'],['8567','------'],
                                ['8568','------'],['8569','------'],['856A','------'],['856B','------'],['856C','------'],['856D','------'],['856E','------'],['856F','------'],['8570','------'],
                                ['8571','------'],['8572','------'],['8573','------'],['8574','------'],['8575','------'],['8576','------'],['8577','------'],['8578','------'],['8579','------'],
                                ['857A','------'],['857B','------'],['857C','------'],['857D','------'],['857E','------'],['8580','------'],['8581','------'],['8582','------'],['8583','------'],
                                ['8584','------'],['8585','------'],['8586','------'],['8587','------'],['8588','------'],['8589','------'],['858A','------'],['858B','------'],['858C','------'],
                                ['858D','------'],['858E','------'],['858F','------'],['8590','------'],['8591','------'],['8592','------'],['8593','------'],['8594','------'],['8595','------'],
                                ['8596','------'],['8597','------'],['8598','------'],['8599','------'],['859A','------'],['859B','------'],['859C','------'],['859D','------'],['859E','------'],
                                ['859F','------'],['85A0','------'],['85A1','------'],['85A2','------'],['85A3','------'],['85A4','------'],['85A5','------'],['85A6','------'],['85A7','------'],
                                ['85A8','------'],['85A9','------'],['85AA','------'],['85AB','------'],['85AC','------'],['85AD','------'],['85AE','------'],['85AF','------'],['85B0','------'],
                                ['85B1','------'],['85B2','------'],['85B3','------'],['85B4','------'],['85B5','------'],['85B6','------'],['85B7','------'],['85B8','------'],['85B9','------'],
                                ['85BA','------'],['85BB','------'],['85BC','------'],['85BD','------'],['85BE','------'],['85BF','------'],['85C0','------'],['85C1','------'],['85C2','------'],
                                ['85C3','------'],['85C4','------'],['85C5','------'],['85C6','------'],['85C7','------'],['85C8','------'],['85C9','------'],['85CA','------'],['85CB','------'],
                                ['85CC','------'],['85CD','------'],['85CE','------'],['85CF','------'],['85D0','------'],['85D1','------'],['85D2','------'],['85D3','------'],['85D4','------'],
                                ['85D5','------'],['85D6','------'],['85D7','------'],['85D8','------'],['85D9','------'],['85DA','------'],['85DB','------'],['85DC','------'],['85DD','------'],
                                ['85DE','------'],['85DF','------'],['85E0','------'],['85E1','------'],['85E2','------'],['85E3','------'],['85E4','------'],['85E5','------'],['85E6','------'],
                                ['85E7','------'],['85E8','------'],['85E9','------'],['85EA','------'],['85EB','------'],['85EC','------'],['85ED','------'],['85EE','------'],['85EF','------'],
                                ['85F0','------'],['85F1','------'],['85F2','------'],['85F3','------'],['85F4','------'],['85F5','------'],['85F6','------'],['85F7','------'],['85F8','------'],
                                ['85F9','------'],['85FA','------'],['85FB','------'],['85FC','------'],['8640','------'],['8641','------'],['8642','------'],['8643','------'],['8644','------'],
                                ['8645','------'],['8646','------'],['8647','------'],['8648','------'],['8649','------'],['864A','------'],['864B','------'],['864C','------'],['864D','------'],
                                ['864E','------'],['864F','------'],['8650','------'],['8651','------'],['8652','------'],['8653','------'],['8654','------'],['8655','------'],['8656','------'],
                                ['8657','------'],['8658','------'],['8659','------'],['865A','------'],['865B','------'],['865C','------'],['865D','------'],['865E','------'],['865F','------'],
                                ['8660','------'],['8661','------'],['8662','------'],['8663','------'],['8664','------'],['8665','------'],['8666','------'],['8667','------'],['8668','------'],
                                ['8669','------'],['866A','------'],['866B','------'],['866C','------'],['866D','------'],['866E','------'],['866F','------'],['8670','------'],['8671','------'],
                                ['8672','------'],['8673','------'],['8674','------'],['8675','------'],['8676','------'],['8677','------'],['8678','------'],['8679','------'],['867A','------'],
                                ['867B','------'],['867C','------'],['867D','------'],['867E','------'],['8680','------'],['8681','------'],['8682','------'],['8683','------'],['8684','------'],
                                ['8685','------'],['8686','------'],['8687','------'],['8688','------'],['8689','------'],['868A','------'],['868B','------'],['868C','------'],['868D','------'],
                                ['868E','------'],['868F','------'],['8690','------'],['8691','------'],['8692','------'],['8693','------'],['8694','------'],['8695','------'],['8696','------'],
                                ['8697','------'],['8698','------'],['8699','------'],['869A','------'],['869B','------'],['869C','------'],['869D','------'],['869E','------'],['869F','------'],
                                ['86A0','------'],['86A1','------'],['86A2','------'],['86A3','------'],['86A4','------'],['86A5','------'],['86A6','------'],['86A7','------'],['86A8','------'],
                                ['86A9','------'],['86AA','------'],['86AB','------'],['86AC','------'],['86AD','------'],['86AE','------'],['86AF','------'],['86B0','------'],['86B1','------'],
                                ['86B2','------'],['86B3','------'],['86B4','------'],['86B5','------'],['86B6','------'],['86B7','------'],['86B8','------'],['86B9','------'],['86BA','------'],
                                ['86BB','------'],['86BC','------'],['86BD','------'],['86BE','------'],['86BF','------'],['86C0','------'],['86C1','------'],['86C2','------'],['86C3','------'],
                                ['86C4','------'],['86C5','------'],['86C6','------'],['86C7','------'],['86C8','------'],['86C9','------'],['86CA','------'],['86CB','------'],['86CC','------'],
                                ['86CD','------'],['86CE','------'],['86CF','------'],['86D0','------'],['86D1','------'],['86D2','------'],['86D3','------'],['86D4','------'],['86D5','------'],
                                ['86D6','------'],['86D7','------'],['86D8','------'],['86D9','------'],['86DA','------'],['86DB','------'],['86DC','------'],['86DD','------'],['86DE','------'],
                                ['86DF','------'],['86E0','------'],['86E1','------'],['86E2','------'],['86E3','------'],['86E4','------'],['86E5','------'],['86E6','------'],['86E7','------'],
                                ['86E8','------'],['86E9','------'],['86EA','------'],['86EB','------'],['86EC','------'],['86ED','------'],['86EE','------'],['86EF','------'],['86F0','------'],
                                ['86F1','------'],['86F2','------'],['86F3','------'],['86F4','------'],['86F5','------'],['86F6','------'],['86F7','------'],['86F8','------'],['86F9','------'],
                                ['86FA','------'],['86FB','------'],['86FC','------'],['8740','------'],['8741','------'],['8742','------'],['8743','------'],['8744','------'],['8745','------'],
                                ['8746','------'],['8747','------'],['8748','------'],['8749','------'],['874A','------'],['874B','------'],['874C','------'],['874D','------'],['874E','------'],
                                ['874F','------'],['8750','------'],['8751','------'],['8752','------'],['8753','------'],['8754','------'],['8755','------'],['8756','------'],['8757','------'],
                                ['8758','------'],['8759','------'],['875A','------'],['875B','------'],['875C','------'],['875D','------'],['875E','------'],['875F','------'],['8760','------'],
                                ['8761','------'],['8762','------'],['8763','------'],['8764','------'],['8765','------'],['8766','------'],['8767','------'],['8768','------'],['8769','------'],
                                ['876A','------'],['876B','------'],['876C','------'],['876D','------'],['876E','------'],['876F','------'],['8770','------'],['8771','------'],['8772','------'],
                                ['8773','------'],['8774','------'],['8775','------'],['8776','------'],['8777','------'],['8778','------'],['8779','------'],['877A','------'],['877B','------'],
                                ['877C','------'],['877D','------'],['877E','------'],['8780','------'],['8781','------'],['8782','------'],['8783','------'],['8784','------'],['8785','------'],
                                ['8786','------'],['8787','------'],['8788','------'],['8789','------'],['878A','------'],['878B','------'],['878C','------'],['878D','------'],['878E','------'],
                                ['878F','------'],['8790','------'],['8791','------'],['8792','------'],['8793','------'],['8794','------'],['8795','------'],['8796','------'],['8797','------'],
                                ['8798','------'],['8799','------'],['879A','------'],['879B','------'],['879C','------'],['879D','------'],['879E','------'],['879F','------'],['87A0','------'],
                                ['87A1','------'],['87A2','------'],['87A3','------'],['87A4','------'],['87A5','------'],['87A6','------'],['87A7','------'],['87A8','------'],['87A9','------'],
                                ['87AA','------'],['87AB','------'],['87AC','------'],['87AD','------'],['87AE','------'],['87AF','------'],['87B0','------'],['87B1','------'],['87B2','------'],
                                ['87B3','------'],['87B4','------'],['87B5','------'],['87B6','------'],['87B7','------'],['87B8','------'],['87B9','------'],['87BA','------'],['87BB','------'],
                                ['87BC','------'],['87BD','------'],['87BE','------'],['87BF','------'],['87C0','------'],['87C1','------'],['87C2','------'],['87C3','------'],['87C4','------'],
                                ['87C5','------'],['87C6','------'],['87C7','------'],['87C8','------'],['87C9','------'],['87CA','------'],['87CB','------'],['87CC','------'],['87CD','------'],
                                ['87CE','------'],['87CF','------'],['87D0','------'],['87D1','------'],['87D2','------'],['87D3','------'],['87D4','------'],['87D5','------'],['87D6','------'],
                                ['87D7','------'],['87D8','------'],['87D9','------'],['87DA','------'],['87DB','------'],['87DC','------'],['87DD','------'],['87DE','------'],['87DF','------'],
                                ['87E0','------'],['87E1','------'],['87E2','------'],['87E3','------'],['87E4','------'],['87E5','------'],['87E6','------'],['87E7','------'],['87E8','------'],
                                ['87E9','------'],['87EA','------'],['87EB','------'],['87EC','------'],['87ED','------'],['87EE','------'],['87EF','------'],['87F0','------'],['87F1','------'],
                                ['87F2','------'],['87F3','------'],['87F4','------'],['87F5','------'],['87F6','------'],['87F7','------'],['87F8','------'],['87F9','------'],['87FA','------'],
                                ['87FB','------'],['87FC','------'],['8840','------'],['8841','------'],['8842','------'],['8843','------'],['8844','------'],['8845','------'],['8846','------'],
                                ['8847','------'],['8848','------'],['8849','------'],['884A','------'],['884B','------'],['884C','------'],['884D','------'],['884E','------'],['884F','------'],
                                ['8850','------'],['8851','------'],['8852','------'],['8853','------'],['8854','------'],['8855','------'],['8856','------'],['8857','------'],['8858','------'],
                                ['8859','------'],['885A','------'],['885B','------'],['885C','------'],['885D','------'],['885E','------'],['885F','------'],['8860','------'],['8861','------'],
                                ['8862','------'],['8863','------'],['8864','------'],['8865','------'],['8866','------'],['8867','------'],['8868','------'],['8869','------'],['886A','------'],
                                ['886B','------'],['886C','------'],['886D','------'],['886E','------'],['886F','------'],['8870','------'],['8871','------'],['8872','------'],['8873','------'],
                                ['8874','------'],['8875','------'],['8876','------'],['8877','------'],['8878','------'],['8879','------'],['887A','------'],['887B','------'],['887C','------'],
                                ['887D','------'],['887E','------'],['8880','------'],['8881','------'],['8882','------'],['8883','------'],['8884','------'],['8885','------'],['8886','------'],
                                ['8887','------'],['8888','------'],['8889','------'],['888A','------'],['888B','------'],['888C','------'],['888D','------'],['888E','------'],['888F','------'],
                                ['8890','------'],['8891','------'],['8892','------'],['8893','------'],['8894','------'],['8895','------'],['8896','------'],['8897','------'],['8898','------'],
                                ['8899','------'],['889A','------'],['889B','------'],['889C','------'],['889D','------'],['889E','------'],['889F','4E9C'],['88A0','5516'],['88A1','5A03'],
                                ['88A2','963F'],['88A3','54C0'],['88A4','611B'],['88A5','6328'],['88A6','59F6'],['88A7','9022'],['88A8','8475'],['88A9','831C'],['88AA','7A50'],
                                ['88AB','60AA'],['88AC','63E1'],['88AD','6E25'],['88AE','65ED'],['88AF','8466'],['88B0','82A6'],['88B1','9BF5'],['88B2','6893'],['88B3','5727'],
                                ['88B4','65A1'],['88B5','6271'],['88B6','5B9B'],['88B7','59D0'],['88B8','867B'],['88B9','98F4'],['88BA','7D62'],['88BB','7DBE'],['88BC','9B8E'],
                                ['88BD','6216'],['88BE','7C9F'],['88BF','88B7'],['88C0','5B89'],['88C1','5EB5'],['88C2','6309'],['88C3','6697'],['88C4','6848'],['88C5','95C7'],
                                ['88C6','978D'],['88C7','674F'],['88C8','4EE5'],['88C9','4F0A'],['88CA','4F4D'],['88CB','4F9D'],['88CC','5049'],['88CD','56F2'],['88CE','5937'],
                                ['88CF','59D4'],['88D0','5A01'],['88D1','5C09'],['88D2','60DF'],['88D3','610F'],['88D4','6170'],['88D5','6613'],['88D6','6905'],['88D7','70BA'],
                                ['88D8','754F'],['88D9','7570'],['88DA','79FB'],['88DB','7DAD'],['88DC','7DEF'],['88DD','80C3'],['88DE','840E'],['88DF','8863'],['88E0','8B02'],
                                ['88E1','9055'],['88E2','907A'],['88E3','533B'],['88E4','4E95'],['88E5','4EA5'],['88E6','57DF'],['88E7','80B2'],['88E8','90C1'],['88E9','78EF'],
                                ['88EA','4E00'],['88EB','58F1'],['88EC','6EA2'],['88ED','9038'],['88EE','7A32'],['88EF','8328'],['88F0','828B'],['88F1','9C2F'],['88F2','5141'],
                                ['88F3','5370'],['88F4','54BD'],['88F5','54E1'],['88F6','56E0'],['88F7','59FB'],['88F8','5F15'],['88F9','98F2'],['88FA','6DEB'],['88FB','80E4'],
                                ['88FC','852D'],['8940','9662'],['8941','9670'],['8942','96A0'],['8943','97FB'],['8944','540B'],['8945','53F3'],['8946','5B87'],['8947','70CF'],
                                ['8948','7FBD'],['8949','8FC2'],['894A','96E8'],['894B','536F'],['894C','9D5C'],['894D','7ABA'],['894E','4E11'],['894F','7893'],['8950','81FC'],
                                ['8951','6E26'],['8952','5618'],['8953','5504'],['8954','6B1D'],['8955','851A'],['8956','9C3B'],['8957','59E5'],['8958','53A9'],['8959','6D66'],
                                ['895A','74DC'],['895B','958F'],['895C','5642'],['895D','4E91'],['895E','904B'],['895F','96F2'],['8960','834F'],['8961','990C'],['8962','53E1'],
                                ['8963','55B6'],['8964','5B30'],['8965','5F71'],['8966','6620'],['8967','66F3'],['8968','6804'],['8969','6C38'],['896A','6CF3'],['896B','6D29'],
                                ['896C','745B'],['896D','76C8'],['896E','7A4E'],['896F','9834'],['8970','82F1'],['8971','885B'],['8972','8A60'],['8973','92ED'],['8974','6DB2'],
                                ['8975','75AB'],['8976','76CA'],['8977','99C5'],['8978','60A6'],['8979','8B01'],['897A','8D8A'],['897B','95B2'],['897C','698E'],['897D','53AD'],
                                ['897E','5186'],['8980','5712'],['8981','5830'],['8982','5944'],['8983','5BB4'],['8984','5EF6'],['8985','6028'],['8986','63A9'],['8987','63F4'],
                                ['8988','6CBF'],['8989','6F14'],['898A','708E'],['898B','7114'],['898C','7159'],['898D','71D5'],['898E','733F'],['898F','7E01'],['8990','8276'],
                                ['8991','82D1'],['8992','8597'],['8993','9060'],['8994','925B'],['8995','9D1B'],['8996','5869'],['8997','65BC'],['8998','6C5A'],['8999','7525'],
                                ['899A','51F9'],['899B','592E'],['899C','5965'],['899D','5F80'],['899E','5FDC'],['899F','62BC'],['89A0','65FA'],['89A1','6A2A'],['89A2','6B27'],
                                ['89A3','6BB4'],['89A4','738B'],['89A5','7FC1'],['89A6','8956'],['89A7','9D2C'],['89A8','9D0E'],['89A9','9EC4'],['89AA','5CA1'],['89AB','6C96'],
                                ['89AC','837B'],['89AD','5104'],['89AE','5C4B'],['89AF','61B6'],['89B0','81C6'],['89B1','6876'],['89B2','7261'],['89B3','4E59'],['89B4','4FFA'],
                                ['89B5','5378'],['89B6','6069'],['89B7','6E29'],['89B8','7A4F'],['89B9','97F3'],['89BA','4E0B'],['89BB','5316'],['89BC','4EEE'],['89BD','4F55'],
                                ['89BE','4F3D'],['89BF','4FA1'],['89C0','4F73'],['89C1','52A0'],['89C2','53EF'],['89C3','5609'],['89C4','590F'],['89C5','5AC1'],['89C6','5BB6'],
                                ['89C7','5BE1'],['89C8','79D1'],['89C9','6687'],['89CA','679C'],['89CB','67B6'],['89CC','6B4C'],['89CD','6CB3'],['89CE','706B'],['89CF','73C2'],
                                ['89D0','798D'],['89D1','79BE'],['89D2','7A3C'],['89D3','7B87'],['89D4','82B1'],['89D5','82DB'],['89D6','8304'],['89D7','8377'],['89D8','83EF'],
                                ['89D9','83D3'],['89DA','8766'],['89DB','8AB2'],['89DC','5629'],['89DD','8CA8'],['89DE','8FE6'],['89DF','904E'],['89E0','971E'],['89E1','868A'],
                                ['89E2','4FC4'],['89E3','5CE8'],['89E4','6211'],['89E5','7259'],['89E6','753B'],['89E7','81E5'],['89E8','82BD'],['89E9','86FE'],['89EA','8CC0'],
                                ['89EB','96C5'],['89EC','9913'],['89ED','99D5'],['89EE','4ECB'],['89EF','4F1A'],['89F0','89E3'],['89F1','56DE'],['89F2','584A'],['89F3','58CA'],
                                ['89F4','5EFB'],['89F5','5FEB'],['89F6','602A'],['89F7','6094'],['89F8','6062'],['89F9','61D0'],['89FA','6212'],['89FB','62D0'],['89FC','6539'],
                                ['8A40','9B41'],['8A41','6666'],['8A42','68B0'],['8A43','6D77'],['8A44','7070'],['8A45','754C'],['8A46','7686'],['8A47','7D75'],['8A48','82A5'],
                                ['8A49','87F9'],['8A4A','958B'],['8A4B','968E'],['8A4C','8C9D'],['8A4D','51F1'],['8A4E','52BE'],['8A4F','5916'],['8A50','54B3'],['8A51','5BB3'],
                                ['8A52','5D16'],['8A53','6168'],['8A54','6982'],['8A55','6DAF'],['8A56','788D'],['8A57','84CB'],['8A58','8857'],['8A59','8A72'],['8A5A','93A7'],
                                ['8A5B','9AB8'],['8A5C','6D6C'],['8A5D','99A8'],['8A5E','86D9'],['8A5F','57A3'],['8A60','67FF'],['8A61','86CE'],['8A62','920E'],['8A63','5283'],
                                ['8A64','5687'],['8A65','5404'],['8A66','5ED3'],['8A67','62E1'],['8A68','64B9'],['8A69','683C'],['8A6A','6838'],['8A6B','6BBB'],['8A6C','7372'],
                                ['8A6D','78BA'],['8A6E','7A6B'],['8A6F','899A'],['8A70','89D2'],['8A71','8D6B'],['8A72','8F03'],['8A73','90ED'],['8A74','95A3'],['8A75','9694'],
                                ['8A76','9769'],['8A77','5B66'],['8A78','5CB3'],['8A79','697D'],['8A7A','984D'],['8A7B','984E'],['8A7C','639B'],['8A7D','7B20'],['8A7E','6A2B'],
                                ['8A80','6A7F'],['8A81','68B6'],['8A82','9C0D'],['8A83','6F5F'],['8A84','5272'],['8A85','559D'],['8A86','6070'],['8A87','62EC'],['8A88','6D3B'],
                                ['8A89','6E07'],['8A8A','6ED1'],['8A8B','845B'],['8A8C','8910'],['8A8D','8F44'],['8A8E','4E14'],['8A8F','9C39'],['8A90','53F6'],['8A91','691B'],
                                ['8A92','6A3A'],['8A93','9784'],['8A94','682A'],['8A95','515C'],['8A96','7AC3'],['8A97','84B2'],['8A98','91DC'],['8A99','938C'],['8A9A','565B'],
                                ['8A9B','9D28'],['8A9C','6822'],['8A9D','8305'],['8A9E','8431'],['8A9F','7CA5'],['8AA0','5208'],['8AA1','82C5'],['8AA2','74E6'],['8AA3','4E7E'],
                                ['8AA4','4F83'],['8AA5','51A0'],['8AA6','5BD2'],['8AA7','520A'],['8AA8','52D8'],['8AA9','52E7'],['8AAA','5DFB'],['8AAB','559A'],['8AAC','582A'],
                                ['8AAD','59E6'],['8AAE','5B8C'],['8AAF','5B98'],['8AB0','5BDB'],['8AB1','5E72'],['8AB2','5E79'],['8AB3','60A3'],['8AB4','611F'],['8AB5','6163'],
                                ['8AB6','61BE'],['8AB7','63DB'],['8AB8','6562'],['8AB9','67D1'],['8ABA','6853'],['8ABB','68FA'],['8ABC','6B3E'],['8ABD','6B53'],['8ABE','6C57'],
                                ['8ABF','6F22'],['8AC0','6F97'],['8AC1','6F45'],['8AC2','74B0'],['8AC3','7518'],['8AC4','76E3'],['8AC5','770B'],['8AC6','7AFF'],['8AC7','7BA1'],
                                ['8AC8','7C21'],['8AC9','7DE9'],['8ACA','7F36'],['8ACB','7FF0'],['8ACC','809D'],['8ACD','8266'],['8ACE','839E'],['8ACF','89B3'],['8AD0','8ACC'],
                                ['8AD1','8CAB'],['8AD2','9084'],['8AD3','9451'],['8AD4','9593'],['8AD5','9591'],['8AD6','95A2'],['8AD7','9665'],['8AD8','97D3'],['8AD9','9928'],
                                ['8ADA','8218'],['8ADB','4E38'],['8ADC','542B'],['8ADD','5CB8'],['8ADE','5DCC'],['8ADF','73A9'],['8AE0','764C'],['8AE1','773C'],['8AE2','5CA9'],
                                ['8AE3','7FEB'],['8AE4','8D0B'],['8AE5','96C1'],['8AE6','9811'],['8AE7','9854'],['8AE8','9858'],['8AE9','4F01'],['8AEA','4F0E'],['8AEB','5371'],
                                ['8AEC','559C'],['8AED','5668'],['8AEE','57FA'],['8AEF','5947'],['8AF0','5B09'],['8AF1','5BC4'],['8AF2','5C90'],['8AF3','5E0C'],['8AF4','5E7E'],
                                ['8AF5','5FCC'],['8AF6','63EE'],['8AF7','673A'],['8AF8','65D7'],['8AF9','65E2'],['8AFA','671F'],['8AFB','68CB'],['8AFC','68C4'],['8B40','6A5F'],
                                ['8B41','5E30'],['8B42','6BC5'],['8B43','6C17'],['8B44','6C7D'],['8B45','757F'],['8B46','7948'],['8B47','5B63'],['8B48','7A00'],['8B49','7D00'],
                                ['8B4A','5FBD'],['8B4B','898F'],['8B4C','8A18'],['8B4D','8CB4'],['8B4E','8D77'],['8B4F','8ECC'],['8B50','8F1D'],['8B51','98E2'],['8B52','9A0E'],
                                ['8B53','9B3C'],['8B54','4E80'],['8B55','507D'],['8B56','5100'],['8B57','5993'],['8B58','5B9C'],['8B59','622F'],['8B5A','6280'],['8B5B','64EC'],
                                ['8B5C','6B3A'],['8B5D','72A0'],['8B5E','7591'],['8B5F','7947'],['8B60','7FA9'],['8B61','87FB'],['8B62','8ABC'],['8B63','8B70'],['8B64','63AC'],
                                ['8B65','83CA'],['8B66','97A0'],['8B67','5409'],['8B68','5403'],['8B69','55AB'],['8B6A','6854'],['8B6B','6A58'],['8B6C','8A70'],['8B6D','7827'],
                                ['8B6E','6775'],['8B6F','9ECD'],['8B70','5374'],['8B71','5BA2'],['8B72','811A'],['8B73','8650'],['8B74','9006'],['8B75','4E18'],['8B76','4E45'],
                                ['8B77','4EC7'],['8B78','4F11'],['8B79','53CA'],['8B7A','5438'],['8B7B','5BAE'],['8B7C','5F13'],['8B7D','6025'],['8B7E','6551'],['8B80','673D'],
                                ['8B81','6C42'],['8B82','6C72'],['8B83','6CE3'],['8B84','7078'],['8B85','7403'],['8B86','7A76'],['8B87','7AAE'],['8B88','7B08'],['8B89','7D1A'],
                                ['8B8A','7CFE'],['8B8B','7D66'],['8B8C','65E7'],['8B8D','725B'],['8B8E','53BB'],['8B8F','5C45'],['8B90','5DE8'],['8B91','62D2'],['8B92','62E0'],
                                ['8B93','6319'],['8B94','6E20'],['8B95','865A'],['8B96','8A31'],['8B97','8DDD'],['8B98','92F8'],['8B99','6F01'],['8B9A','79A6'],['8B9B','9B5A'],
                                ['8B9C','4EA8'],['8B9D','4EAB'],['8B9E','4EAC'],['8B9F','4F9B'],['8BA0','4FA0'],['8BA1','50D1'],['8BA2','5147'],['8BA3','7AF6'],['8BA4','5171'],
                                ['8BA5','51F6'],['8BA6','5354'],['8BA7','5321'],['8BA8','537F'],['8BA9','53EB'],['8BAA','55AC'],['8BAB','5883'],['8BAC','5CE1'],['8BAD','5F37'],
                                ['8BAE','5F4A'],['8BAF','602F'],['8BB0','6050'],['8BB1','606D'],['8BB2','631F'],['8BB3','6559'],['8BB4','6A4B'],['8BB5','6CC1'],['8BB6','72C2'],
                                ['8BB7','72ED'],['8BB8','77EF'],['8BB9','80F8'],['8BBA','8105'],['8BBB','8208'],['8BBC','854E'],['8BBD','90F7'],['8BBE','93E1'],['8BBF','97FF'],
                                ['8BC0','9957'],['8BC1','9A5A'],['8BC2','4EF0'],['8BC3','51DD'],['8BC4','5C2D'],['8BC5','6681'],['8BC6','696D'],['8BC7','5C40'],['8BC8','66F2'],
                                ['8BC9','6975'],['8BCA','7389'],['8BCB','6850'],['8BCC','7C81'],['8BCD','50C5'],['8BCE','52E4'],['8BCF','5747'],['8BD0','5DFE'],['8BD1','9326'],
                                ['8BD2','65A4'],['8BD3','6B23'],['8BD4','6B3D'],['8BD5','7434'],['8BD6','7981'],['8BD7','79BD'],['8BD8','7B4B'],['8BD9','7DCA'],['8BDA','82B9'],
                                ['8BDB','83CC'],['8BDC','887F'],['8BDD','895F'],['8BDE','8B39'],['8BDF','8FD1'],['8BE0','91D1'],['8BE1','541F'],['8BE2','9280'],['8BE3','4E5D'],
                                ['8BE4','5036'],['8BE5','53E5'],['8BE6','533A'],['8BE7','72D7'],['8BE8','7396'],['8BE9','77E9'],['8BEA','82E6'],['8BEB','8EAF'],['8BEC','99C6'],
                                ['8BED','99C8'],['8BEE','99D2'],['8BEF','5177'],['8BF0','611A'],['8BF1','865E'],['8BF2','55B0'],['8BF3','7A7A'],['8BF4','5076'],['8BF5','5BD3'],
                                ['8BF6','9047'],['8BF7','9685'],['8BF8','4E32'],['8BF9','6ADB'],['8BFA','91E7'],['8BFB','5C51'],['8BFC','5C48'],['8C40','6398'],['8C41','7A9F'],
                                ['8C42','6C93'],['8C43','9774'],['8C44','8F61'],['8C45','7AAA'],['8C46','718A'],['8C47','9688'],['8C48','7C82'],['8C49','6817'],['8C4A','7E70'],
                                ['8C4B','6851'],['8C4C','936C'],['8C4D','52F2'],['8C4E','541B'],['8C4F','85AB'],['8C50','8A13'],['8C51','7FA4'],['8C52','8ECD'],['8C53','90E1'],
                                ['8C54','5366'],['8C55','8888'],['8C56','7941'],['8C57','4FC2'],['8C58','50BE'],['8C59','5211'],['8C5A','5144'],['8C5B','5553'],['8C5C','572D'],
                                ['8C5D','73EA'],['8C5E','578B'],['8C5F','5951'],['8C60','5F62'],['8C61','5F84'],['8C62','6075'],['8C63','6176'],['8C64','6167'],['8C65','61A9'],
                                ['8C66','63B2'],['8C67','643A'],['8C68','656C'],['8C69','666F'],['8C6A','6842'],['8C6B','6E13'],['8C6C','7566'],['8C6D','7A3D'],['8C6E','7CFB'],
                                ['8C6F','7D4C'],['8C70','7D99'],['8C71','7E4B'],['8C72','7F6B'],['8C73','830E'],['8C74','834A'],['8C75','86CD'],['8C76','8A08'],['8C77','8A63'],
                                ['8C78','8B66'],['8C79','8EFD'],['8C7A','981A'],['8C7B','9D8F'],['8C7C','82B8'],['8C7D','8FCE'],['8C7E','9BE8'],['8C80','5287'],['8C81','621F'],
                                ['8C82','6483'],['8C83','6FC0'],['8C84','9699'],['8C85','6841'],['8C86','5091'],['8C87','6B20'],['8C88','6C7A'],['8C89','6F54'],['8C8A','7A74'],
                                ['8C8B','7D50'],['8C8C','8840'],['8C8D','8A23'],['8C8E','6708'],['8C8F','4EF6'],['8C90','5039'],['8C91','5026'],['8C92','5065'],['8C93','517C'],
                                ['8C94','5238'],['8C95','5263'],['8C96','55A7'],['8C97','570F'],['8C98','5805'],['8C99','5ACC'],['8C9A','5EFA'],['8C9B','61B2'],['8C9C','61F8'],
                                ['8C9D','62F3'],['8C9E','6372'],['8C9F','691C'],['8CA0','6A29'],['8CA1','727D'],['8CA2','72AC'],['8CA3','732E'],['8CA4','7814'],['8CA5','786F'],
                                ['8CA6','7D79'],['8CA7','770C'],['8CA8','80A9'],['8CA9','898B'],['8CAA','8B19'],['8CAB','8CE2'],['8CAC','8ED2'],['8CAD','9063'],['8CAE','9375'],
                                ['8CAF','967A'],['8CB0','9855'],['8CB1','9A13'],['8CB2','9E78'],['8CB3','5143'],['8CB4','539F'],['8CB5','53B3'],['8CB6','5E7B'],['8CB7','5F26'],
                                ['8CB8','6E1B'],['8CB9','6E90'],['8CBA','7384'],['8CBB','73FE'],['8CBC','7D43'],['8CBD','8237'],['8CBE','8A00'],['8CBF','8AFA'],['8CC0','9650'],
                                ['8CC1','4E4E'],['8CC2','500B'],['8CC3','53E4'],['8CC4','547C'],['8CC5','56FA'],['8CC6','59D1'],['8CC7','5B64'],['8CC8','5DF1'],['8CC9','5EAB'],
                                ['8CCA','5F27'],['8CCB','6238'],['8CCC','6545'],['8CCD','67AF'],['8CCE','6E56'],['8CCF','72D0'],['8CD0','7CCA'],['8CD1','88B4'],['8CD2','80A1'],
                                ['8CD3','80E1'],['8CD4','83F0'],['8CD5','864E'],['8CD6','8A87'],['8CD7','8DE8'],['8CD8','9237'],['8CD9','96C7'],['8CDA','9867'],['8CDB','9F13'],
                                ['8CDC','4E94'],['8CDD','4E92'],['8CDE','4F0D'],['8CDF','5348'],['8CE0','5449'],['8CE1','543E'],['8CE2','5A2F'],['8CE3','5F8C'],['8CE4','5FA1'],
                                ['8CE5','609F'],['8CE6','68A7'],['8CE7','6A8E'],['8CE8','745A'],['8CE9','7881'],['8CEA','8A9E'],['8CEB','8AA4'],['8CEC','8B77'],['8CED','9190'],
                                ['8CEE','4E5E'],['8CEF','9BC9'],['8CF0','4EA4'],['8CF1','4F7C'],['8CF2','4FAF'],['8CF3','5019'],['8CF4','5016'],['8CF5','5149'],['8CF6','516C'],
                                ['8CF7','529F'],['8CF8','52B9'],['8CF9','52FE'],['8CFA','539A'],['8CFB','53E3'],['8CFC','5411'],['8D40','540E'],['8D41','5589'],['8D42','5751'],
                                ['8D43','57A2'],['8D44','597D'],['8D45','5B54'],['8D46','5B5D'],['8D47','5B8F'],['8D48','5DE5'],['8D49','5DE7'],['8D4A','5DF7'],['8D4B','5E78'],
                                ['8D4C','5E83'],['8D4D','5E9A'],['8D4E','5EB7'],['8D4F','5F18'],['8D50','6052'],['8D51','614C'],['8D52','6297'],['8D53','62D8'],['8D54','63A7'],
                                ['8D55','653B'],['8D56','6602'],['8D57','6643'],['8D58','66F4'],['8D59','676D'],['8D5A','6821'],['8D5B','6897'],['8D5C','69CB'],['8D5D','6C5F'],
                                ['8D5E','6D2A'],['8D5F','6D69'],['8D60','6E2F'],['8D61','6E9D'],['8D62','7532'],['8D63','7687'],['8D64','786C'],['8D65','7A3F'],['8D66','7CE0'],
                                ['8D67','7D05'],['8D68','7D18'],['8D69','7D5E'],['8D6A','7DB1'],['8D6B','8015'],['8D6C','8003'],['8D6D','80AF'],['8D6E','80B1'],['8D6F','8154'],
                                ['8D70','818F'],['8D71','822A'],['8D72','8352'],['8D73','884C'],['8D74','8861'],['8D75','8B1B'],['8D76','8CA2'],['8D77','8CFC'],['8D78','90CA'],
                                ['8D79','9175'],['8D7A','9271'],['8D7B','783F'],['8D7C','92FC'],['8D7D','95A4'],['8D7E','964D'],['8D80','9805'],['8D81','9999'],['8D82','9AD8'],
                                ['8D83','9D3B'],['8D84','525B'],['8D85','52AB'],['8D86','53F7'],['8D87','5408'],['8D88','58D5'],['8D89','62F7'],['8D8A','6FE0'],['8D8B','8C6A'],
                                ['8D8C','8F5F'],['8D8D','9EB9'],['8D8E','514B'],['8D8F','523B'],['8D90','544A'],['8D91','56FD'],['8D92','7A40'],['8D93','9177'],['8D94','9D60'],
                                ['8D95','9ED2'],['8D96','7344'],['8D97','6F09'],['8D98','8170'],['8D99','7511'],['8D9A','5FFD'],['8D9B','60DA'],['8D9C','9AA8'],['8D9D','72DB'],
                                ['8D9E','8FBC'],['8D9F','6B64'],['8DA0','9803'],['8DA1','4ECA'],['8DA2','56F0'],['8DA3','5764'],['8DA4','58BE'],['8DA5','5A5A'],['8DA6','6068'],
                                ['8DA7','61C7'],['8DA8','660F'],['8DA9','6606'],['8DAA','6839'],['8DAB','68B1'],['8DAC','6DF7'],['8DAD','75D5'],['8DAE','7D3A'],['8DAF','826E'],
                                ['8DB0','9B42'],['8DB1','4E9B'],['8DB2','4F50'],['8DB3','53C9'],['8DB4','5506'],['8DB5','5D6F'],['8DB6','5DE6'],['8DB7','5DEE'],['8DB8','67FB'],
                                ['8DB9','6C99'],['8DBA','7473'],['8DBB','7802'],['8DBC','8A50'],['8DBD','9396'],['8DBE','88DF'],['8DBF','5750'],['8DC0','5EA7'],['8DC1','632B'],
                                ['8DC2','50B5'],['8DC3','50AC'],['8DC4','518D'],['8DC5','6700'],['8DC6','54C9'],['8DC7','585E'],['8DC8','59BB'],['8DC9','5BB0'],['8DCA','5F69'],
                                ['8DCB','624D'],['8DCC','63A1'],['8DCD','683D'],['8DCE','6B73'],['8DCF','6E08'],['8DD0','707D'],['8DD1','91C7'],['8DD2','7280'],['8DD3','7815'],
                                ['8DD4','7826'],['8DD5','796D'],['8DD6','658E'],['8DD7','7D30'],['8DD8','83DC'],['8DD9','88C1'],['8DDA','8F09'],['8DDB','969B'],['8DDC','5264'],
                                ['8DDD','5728'],['8DDE','6750'],['8DDF','7F6A'],['8DE0','8CA1'],['8DE1','51B4'],['8DE2','5742'],['8DE3','962A'],['8DE4','583A'],['8DE5','698A'],
                                ['8DE6','80B4'],['8DE7','54B2'],['8DE8','5D0E'],['8DE9','57FC'],['8DEA','7895'],['8DEB','9DFA'],['8DEC','4F5C'],['8DED','524A'],['8DEE','548B'],
                                ['8DEF','643E'],['8DF0','6628'],['8DF1','6714'],['8DF2','67F5'],['8DF3','7A84'],['8DF4','7B56'],['8DF5','7D22'],['8DF6','932F'],['8DF7','685C'],
                                ['8DF8','9BAD'],['8DF9','7B39'],['8DFA','5319'],['8DFB','518A'],['8DFC','5237'],['8E40','5BDF'],['8E41','62F6'],['8E42','64AE'],['8E43','64E6'],
                                ['8E44','672D'],['8E45','6BBA'],['8E46','85A9'],['8E47','96D1'],['8E48','7690'],['8E49','9BD6'],['8E4A','634C'],['8E4B','9306'],['8E4C','9BAB'],
                                ['8E4D','76BF'],['8E4E','6652'],['8E4F','4E09'],['8E50','5098'],['8E51','53C2'],['8E52','5C71'],['8E53','60E8'],['8E54','6492'],['8E55','6563'],
                                ['8E56','685F'],['8E57','71E6'],['8E58','73CA'],['8E59','7523'],['8E5A','7B97'],['8E5B','7E82'],['8E5C','8695'],['8E5D','8B83'],['8E5E','8CDB'],
                                ['8E5F','9178'],['8E60','9910'],['8E61','65AC'],['8E62','66AB'],['8E63','6B8B'],['8E64','4ED5'],['8E65','4ED4'],['8E66','4F3A'],['8E67','4F7F'],
                                ['8E68','523A'],['8E69','53F8'],['8E6A','53F2'],['8E6B','55E3'],['8E6C','56DB'],['8E6D','58EB'],['8E6E','59CB'],['8E6F','59C9'],['8E70','59FF'],
                                ['8E71','5B50'],['8E72','5C4D'],['8E73','5E02'],['8E74','5E2B'],['8E75','5FD7'],['8E76','601D'],['8E77','6307'],['8E78','652F'],['8E79','5B5C'],
                                ['8E7A','65AF'],['8E7B','65BD'],['8E7C','65E8'],['8E7D','679D'],['8E7E','6B62'],['8E80','6B7B'],['8E81','6C0F'],['8E82','7345'],['8E83','7949'],
                                ['8E84','79C1'],['8E85','7CF8'],['8E86','7D19'],['8E87','7D2B'],['8E88','80A2'],['8E89','8102'],['8E8A','81F3'],['8E8B','8996'],['8E8C','8A5E'],
                                ['8E8D','8A69'],['8E8E','8A66'],['8E8F','8A8C'],['8E90','8AEE'],['8E91','8CC7'],['8E92','8CDC'],['8E93','96CC'],['8E94','98FC'],['8E95','6B6F'],
                                ['8E96','4E8B'],['8E97','4F3C'],['8E98','4F8D'],['8E99','5150'],['8E9A','5B57'],['8E9B','5BFA'],['8E9C','6148'],['8E9D','6301'],['8E9E','6642'],
                                ['8E9F','6B21'],['8EA0','6ECB'],['8EA1','6CBB'],['8EA2','723E'],['8EA3','74BD'],['8EA4','75D4'],['8EA5','78C1'],['8EA6','793A'],['8EA7','800C'],
                                ['8EA8','8033'],['8EA9','81EA'],['8EAA','8494'],['8EAB','8F9E'],['8EAC','6C50'],['8EAD','9E7F'],['8EAE','5F0F'],['8EAF','8B58'],['8EB0','9D2B'],
                                ['8EB1','7AFA'],['8EB2','8EF8'],['8EB3','5B8D'],['8EB4','96EB'],['8EB5','4E03'],['8EB6','53F1'],['8EB7','57F7'],['8EB8','5931'],['8EB9','5AC9'],
                                ['8EBA','5BA4'],['8EBB','6089'],['8EBC','6E7F'],['8EBD','6F06'],['8EBE','75BE'],['8EBF','8CEA'],['8EC0','5B9F'],['8EC1','8500'],['8EC2','7BE0'],
                                ['8EC3','5072'],['8EC4','67F4'],['8EC5','829D'],['8EC6','5C61'],['8EC7','854A'],['8EC8','7E1E'],['8EC9','820E'],['8ECA','5199'],['8ECB','5C04'],
                                ['8ECC','6368'],['8ECD','8D66'],['8ECE','659C'],['8ECF','716E'],['8ED0','793E'],['8ED1','7D17'],['8ED2','8005'],['8ED3','8B1D'],['8ED4','8ECA'],
                                ['8ED5','906E'],['8ED6','86C7'],['8ED7','90AA'],['8ED8','501F'],['8ED9','52FA'],['8EDA','5C3A'],['8EDB','6753'],['8EDC','707C'],['8EDD','7235'],
                                ['8EDE','914C'],['8EDF','91C8'],['8EE0','932B'],['8EE1','82E5'],['8EE2','5BC2'],['8EE3','5F31'],['8EE4','60F9'],['8EE5','4E3B'],['8EE6','53D6'],
                                ['8EE7','5B88'],['8EE8','624B'],['8EE9','6731'],['8EEA','6B8A'],['8EEB','72E9'],['8EEC','73E0'],['8EED','7A2E'],['8EEE','816B'],['8EEF','8DA3'],
                                ['8EF0','9152'],['8EF1','9996'],['8EF2','5112'],['8EF3','53D7'],['8EF4','546A'],['8EF5','5BFF'],['8EF6','6388'],['8EF7','6A39'],['8EF8','7DAC'],
                                ['8EF9','9700'],['8EFA','56DA'],['8EFB','53CE'],['8EFC','5468'],['8F40','5B97'],['8F41','5C31'],['8F42','5DDE'],['8F43','4FEE'],['8F44','6101'],
                                ['8F45','62FE'],['8F46','6D32'],['8F47','79C0'],['8F48','79CB'],['8F49','7D42'],['8F4A','7E4D'],['8F4B','7FD2'],['8F4C','81ED'],['8F4D','821F'],
                                ['8F4E','8490'],['8F4F','8846'],['8F50','8972'],['8F51','8B90'],['8F52','8E74'],['8F53','8F2F'],['8F54','9031'],['8F55','914B'],['8F56','916C'],
                                ['8F57','96C6'],['8F58','919C'],['8F59','4EC0'],['8F5A','4F4F'],['8F5B','5145'],['8F5C','5341'],['8F5D','5F93'],['8F5E','620E'],['8F5F','67D4'],
                                ['8F60','6C41'],['8F61','6E0B'],['8F62','7363'],['8F63','7E26'],['8F64','91CD'],['8F65','9283'],['8F66','53D4'],['8F67','5919'],['8F68','5BBF'],
                                ['8F69','6DD1'],['8F6A','795D'],['8F6B','7E2E'],['8F6C','7C9B'],['8F6D','587E'],['8F6E','719F'],['8F6F','51FA'],['8F70','8853'],['8F71','8FF0'],
                                ['8F72','4FCA'],['8F73','5CFB'],['8F74','6625'],['8F75','77AC'],['8F76','7AE3'],['8F77','821C'],['8F78','99FF'],['8F79','51C6'],['8F7A','5FAA'],
                                ['8F7B','65EC'],['8F7C','696F'],['8F7D','6B89'],['8F7E','6DF3'],['8F80','6E96'],['8F81','6F64'],['8F82','76FE'],['8F83','7D14'],['8F84','5DE1'],
                                ['8F85','9075'],['8F86','9187'],['8F87','9806'],['8F88','51E6'],['8F89','521D'],['8F8A','6240'],['8F8B','6691'],['8F8C','66D9'],['8F8D','6E1A'],
                                ['8F8E','5EB6'],['8F8F','7DD2'],['8F90','7F72'],['8F91','66F8'],['8F92','85AF'],['8F93','85F7'],['8F94','8AF8'],['8F95','52A9'],['8F96','53D9'],
                                ['8F97','5973'],['8F98','5E8F'],['8F99','5F90'],['8F9A','6055'],['8F9B','92E4'],['8F9C','9664'],['8F9D','50B7'],['8F9E','511F'],['8F9F','52DD'],
                                ['8FA0','5320'],['8FA1','5347'],['8FA2','53EC'],['8FA3','54E8'],['8FA4','5546'],['8FA5','5531'],['8FA6','5617'],['8FA7','5968'],['8FA8','59BE'],
                                ['8FA9','5A3C'],['8FAA','5BB5'],['8FAB','5C06'],['8FAC','5C0F'],['8FAD','5C11'],['8FAE','5C1A'],['8FAF','5E84'],['8FB0','5E8A'],['8FB1','5EE0'],
                                ['8FB2','5F70'],['8FB3','627F'],['8FB4','6284'],['8FB5','62DB'],['8FB6','638C'],['8FB7','6377'],['8FB8','6607'],['8FB9','660C'],['8FBA','662D'],
                                ['8FBB','6676'],['8FBC','677E'],['8FBD','68A2'],['8FBE','6A1F'],['8FBF','6A35'],['8FC0','6CBC'],['8FC1','6D88'],['8FC2','6E09'],['8FC3','6E58'],
                                ['8FC4','713C'],['8FC5','7126'],['8FC6','7167'],['8FC7','75C7'],['8FC8','7701'],['8FC9','785D'],['8FCA','7901'],['8FCB','7965'],['8FCC','79F0'],
                                ['8FCD','7AE0'],['8FCE','7B11'],['8FCF','7CA7'],['8FD0','7D39'],['8FD1','8096'],['8FD2','83D6'],['8FD3','848B'],['8FD4','8549'],['8FD5','885D'],
                                ['8FD6','88F3'],['8FD7','8A1F'],['8FD8','8A3C'],['8FD9','8A54'],['8FDA','8A73'],['8FDB','8C61'],['8FDC','8CDE'],['8FDD','91A4'],['8FDE','9266'],
                                ['8FDF','937E'],['8FE0','9418'],['8FE1','969C'],['8FE2','9798'],['8FE3','4E0A'],['8FE4','4E08'],['8FE5','4E1E'],['8FE6','4E57'],['8FE7','5197'],
                                ['8FE8','5270'],['8FE9','57CE'],['8FEA','5834'],['8FEB','58CC'],['8FEC','5B22'],['8FED','5E38'],['8FEE','60C5'],['8FEF','64FE'],['8FF0','6761'],
                                ['8FF1','6756'],['8FF2','6D44'],['8FF3','72B6'],['8FF4','7573'],['8FF5','7A63'],['8FF6','84B8'],['8FF7','8B72'],['8FF8','91B8'],['8FF9','9320'],
                                ['8FFA','5631'],['8FFB','57F4'],['8FFC','98FE'],['9040','62ED'],['9041','690D'],['9042','6B96'],['9043','71ED'],['9044','7E54'],['9045','8077'],
                                ['9046','8272'],['9047','89E6'],['9048','98DF'],['9049','8755'],['904A','8FB1'],['904B','5C3B'],['904C','4F38'],['904D','4FE1'],['904E','4FB5'],
                                ['904F','5507'],['9050','5A20'],['9051','5BDD'],['9052','5BE9'],['9053','5FC3'],['9054','614E'],['9055','632F'],['9056','65B0'],['9057','664B'],
                                ['9058','68EE'],['9059','699B'],['905A','6D78'],['905B','6DF1'],['905C','7533'],['905D','75B9'],['905E','771F'],['905F','795E'],['9060','79E6'],
                                ['9061','7D33'],['9062','81E3'],['9063','82AF'],['9064','85AA'],['9065','89AA'],['9066','8A3A'],['9067','8EAB'],['9068','8F9B'],['9069','9032'],
                                ['906A','91DD'],['906B','9707'],['906C','4EBA'],['906D','4EC1'],['906E','5203'],['906F','5875'],['9070','58EC'],['9071','5C0B'],['9072','751A'],
                                ['9073','5C3D'],['9074','814E'],['9075','8A0A'],['9076','8FC5'],['9077','9663'],['9078','976D'],['9079','7B25'],['907A','8ACF'],['907B','9808'],
                                ['907C','9162'],['907D','56F3'],['907E','53A8'],['9080','9017'],['9081','5439'],['9082','5782'],['9083','5E25'],['9084','63A8'],['9085','6C34'],
                                ['9086','708A'],['9087','7761'],['9088','7C8B'],['9089','7FE0'],['908A','8870'],['908B','9042'],['908C','9154'],['908D','9310'],['908E','9318'],
                                ['908F','968F'],['9090','745E'],['9091','9AC4'],['9092','5D07'],['9093','5D69'],['9094','6570'],['9095','67A2'],['9096','8DA8'],['9097','96DB'],
                                ['9098','636E'],['9099','6749'],['909A','6919'],['909B','83C5'],['909C','9817'],['909D','96C0'],['909E','88FE'],['909F','6F84'],['90A0','647A'],
                                ['90A1','5BF8'],['90A2','4E16'],['90A3','702C'],['90A4','755D'],['90A5','662F'],['90A6','51C4'],['90A7','5236'],['90A8','52E2'],['90A9','59D3'],
                                ['90AA','5F81'],['90AB','6027'],['90AC','6210'],['90AD','653F'],['90AE','6574'],['90AF','661F'],['90B0','6674'],['90B1','68F2'],['90B2','6816'],
                                ['90B3','6B63'],['90B4','6E05'],['90B5','7272'],['90B6','751F'],['90B7','76DB'],['90B8','7CBE'],['90B9','8056'],['90BA','58F0'],['90BB','88FD'],
                                ['90BC','897F'],['90BD','8AA0'],['90BE','8A93'],['90BF','8ACB'],['90C0','901D'],['90C1','9192'],['90C2','9752'],['90C3','9759'],['90C4','6589'],
                                ['90C5','7A0E'],['90C6','8106'],['90C7','96BB'],['90C8','5E2D'],['90C9','60DC'],['90CA','621A'],['90CB','65A5'],['90CC','6614'],['90CD','6790'],
                                ['90CE','77F3'],['90CF','7A4D'],['90D0','7C4D'],['90D1','7E3E'],['90D2','810A'],['90D3','8CAC'],['90D4','8D64'],['90D5','8DE1'],['90D6','8E5F'],
                                ['90D7','78A9'],['90D8','5207'],['90D9','62D9'],['90DA','63A5'],['90DB','6442'],['90DC','6298'],['90DD','8A2D'],['90DE','7A83'],['90DF','7BC0'],
                                ['90E0','8AAC'],['90E1','96EA'],['90E2','7D76'],['90E3','820C'],['90E4','8749'],['90E5','4ED9'],['90E6','5148'],['90E7','5343'],['90E8','5360'],
                                ['90E9','5BA3'],['90EA','5C02'],['90EB','5C16'],['90EC','5DDD'],['90ED','6226'],['90EE','6247'],['90EF','64B0'],['90F0','6813'],['90F1','6834'],
                                ['90F2','6CC9'],['90F3','6D45'],['90F4','6D17'],['90F5','67D3'],['90F6','6F5C'],['90F7','714E'],['90F8','717D'],['90F9','65CB'],['90FA','7A7F'],
                                ['90FB','7BAD'],['90FC','7DDA'],['9140','7E4A'],['9141','7FA8'],['9142','817A'],['9143','821B'],['9144','8239'],['9145','85A6'],['9146','8A6E'],
                                ['9147','8CCE'],['9148','8DF5'],['9149','9078'],['914A','9077'],['914B','92AD'],['914C','9291'],['914D','9583'],['914E','9BAE'],['914F','524D'],
                                ['9150','5584'],['9151','6F38'],['9152','7136'],['9153','5168'],['9154','7985'],['9155','7E55'],['9156','81B3'],['9157','7CCE'],['9158','564C'],
                                ['9159','5851'],['915A','5CA8'],['915B','63AA'],['915C','66FE'],['915D','66FD'],['915E','695A'],['915F','72D9'],['9160','758F'],['9161','758E'],
                                ['9162','790E'],['9163','7956'],['9164','79DF'],['9165','7C97'],['9166','7D20'],['9167','7D44'],['9168','8607'],['9169','8A34'],['916A','963B'],
                                ['916B','9061'],['916C','9F20'],['916D','50E7'],['916E','5275'],['916F','53CC'],['9170','53E2'],['9171','5009'],['9172','55AA'],['9173','58EE'],
                                ['9174','594F'],['9175','723D'],['9176','5B8B'],['9177','5C64'],['9178','531D'],['9179','60E3'],['917A','60F3'],['917B','635C'],['917C','6383'],
                                ['917D','633F'],['917E','63BB'],['9180','64CD'],['9181','65E9'],['9182','66F9'],['9183','5DE3'],['9184','69CD'],['9185','69FD'],['9186','6F15'],
                                ['9187','71E5'],['9188','4E89'],['9189','75E9'],['918A','76F8'],['918B','7A93'],['918C','7CDF'],['918D','7DCF'],['918E','7D9C'],['918F','8061'],
                                ['9190','8349'],['9191','8358'],['9192','846C'],['9193','84BC'],['9194','85FB'],['9195','88C5'],['9196','8D70'],['9197','9001'],['9198','906D'],
                                ['9199','9397'],['919A','971C'],['919B','9A12'],['919C','50CF'],['919D','5897'],['919E','618E'],['919F','81D3'],['91A0','8535'],['91A1','8D08'],
                                ['91A2','9020'],['91A3','4FC3'],['91A4','5074'],['91A5','5247'],['91A6','5373'],['91A7','606F'],['91A8','6349'],['91A9','675F'],['91AA','6E2C'],
                                ['91AB','8DB3'],['91AC','901F'],['91AD','4FD7'],['91AE','5C5E'],['91AF','8CCA'],['91B0','65CF'],['91B1','7D9A'],['91B2','5352'],['91B3','8896'],
                                ['91B4','5176'],['91B5','63C3'],['91B6','5B58'],['91B7','5B6B'],['91B8','5C0A'],['91B9','640D'],['91BA','6751'],['91BB','905C'],['91BC','4ED6'],
                                ['91BD','591A'],['91BE','592A'],['91BF','6C70'],['91C0','8A51'],['91C1','553E'],['91C2','5815'],['91C3','59A5'],['91C4','60F0'],['91C5','6253'],
                                ['91C6','67C1'],['91C7','8235'],['91C8','6955'],['91C9','9640'],['91CA','99C4'],['91CB','9A28'],['91CC','4F53'],['91CD','5806'],['91CE','5BFE'],
                                ['91CF','8010'],['91D0','5CB1'],['91D1','5E2F'],['91D2','5F85'],['91D3','6020'],['91D4','614B'],['91D5','6234'],['91D6','66FF'],['91D7','6CF0'],
                                ['91D8','6EDE'],['91D9','80CE'],['91DA','817F'],['91DB','82D4'],['91DC','888B'],['91DD','8CB8'],['91DE','9000'],['91DF','902E'],['91E0','968A'],
                                ['91E1','9EDB'],['91E2','9BDB'],['91E3','4EE3'],['91E4','53F0'],['91E5','5927'],['91E6','7B2C'],['91E7','918D'],['91E8','984C'],['91E9','9DF9'],
                                ['91EA','6EDD'],['91EB','7027'],['91EC','5353'],['91ED','5544'],['91EE','5B85'],['91EF','6258'],['91F0','629E'],['91F1','62D3'],['91F2','6CA2'],
                                ['91F3','6FEF'],['91F4','7422'],['91F5','8A17'],['91F6','9438'],['91F7','6FC1'],['91F8','8AFE'],['91F9','8338'],['91FA','51E7'],['91FB','86F8'],
                                ['91FC','53EA'],['9240','53E9'],['9241','4F46'],['9242','9054'],['9243','8FB0'],['9244','596A'],['9245','8131'],['9246','5DFD'],['9247','7AEA'],
                                ['9248','8FBF'],['9249','68DA'],['924A','8C37'],['924B','72F8'],['924C','9C48'],['924D','6A3D'],['924E','8AB0'],['924F','4E39'],['9250','5358'],
                                ['9251','5606'],['9252','5766'],['9253','62C5'],['9254','63A2'],['9255','65E6'],['9256','6B4E'],['9257','6DE1'],['9258','6E5B'],['9259','70AD'],
                                ['925A','77ED'],['925B','7AEF'],['925C','7BAA'],['925D','7DBB'],['925E','803D'],['925F','80C6'],['9260','86CB'],['9261','8A95'],['9262','935B'],
                                ['9263','56E3'],['9264','58C7'],['9265','5F3E'],['9266','65AD'],['9267','6696'],['9268','6A80'],['9269','6BB5'],['926A','7537'],['926B','8AC7'],
                                ['926C','5024'],['926D','77E5'],['926E','5730'],['926F','5F1B'],['9270','6065'],['9271','667A'],['9272','6C60'],['9273','75F4'],['9274','7A1A'],
                                ['9275','7F6E'],['9276','81F4'],['9277','8718'],['9278','9045'],['9279','99B3'],['927A','7BC9'],['927B','755C'],['927C','7AF9'],['927D','7B51'],
                                ['927E','84C4'],['9280','9010'],['9281','79E9'],['9282','7A92'],['9283','8336'],['9284','5AE1'],['9285','7740'],['9286','4E2D'],['9287','4EF2'],
                                ['9288','5B99'],['9289','5FE0'],['928A','62BD'],['928B','663C'],['928C','67F1'],['928D','6CE8'],['928E','866B'],['928F','8877'],['9290','8A3B'],
                                ['9291','914E'],['9292','92F3'],['9293','99D0'],['9294','6A17'],['9295','7026'],['9296','732A'],['9297','82E7'],['9298','8457'],['9299','8CAF'],
                                ['929A','4E01'],['929B','5146'],['929C','51CB'],['929D','558B'],['929E','5BF5'],['929F','5E16'],['92A0','5E33'],['92A1','5E81'],['92A2','5F14'],
                                ['92A3','5F35'],['92A4','5F6B'],['92A5','5FB4'],['92A6','61F2'],['92A7','6311'],['92A8','66A2'],['92A9','671D'],['92AA','6F6E'],['92AB','7252'],
                                ['92AC','753A'],['92AD','773A'],['92AE','8074'],['92AF','8139'],['92B0','8178'],['92B1','8776'],['92B2','8ABF'],['92B3','8ADC'],['92B4','8D85'],
                                ['92B5','8DF3'],['92B6','929A'],['92B7','9577'],['92B8','9802'],['92B9','9CE5'],['92BA','52C5'],['92BB','6357'],['92BC','76F4'],['92BD','6715'],
                                ['92BE','6C88'],['92BF','73CD'],['92C0','8CC3'],['92C1','93AE'],['92C2','9673'],['92C3','6D25'],['92C4','589C'],['92C5','690E'],['92C6','69CC'],
                                ['92C7','8FFD'],['92C8','939A'],['92C9','75DB'],['92CA','901A'],['92CB','585A'],['92CC','6802'],['92CD','63B4'],['92CE','69FB'],['92CF','4F43'],
                                ['92D0','6F2C'],['92D1','67D8'],['92D2','8FBB'],['92D3','8526'],['92D4','7DB4'],['92D5','9354'],['92D6','693F'],['92D7','6F70'],['92D8','576A'],
                                ['92D9','58F7'],['92DA','5B2C'],['92DB','7D2C'],['92DC','722A'],['92DD','540A'],['92DE','91E3'],['92DF','9DB4'],['92E0','4EAD'],['92E1','4F4E'],
                                ['92E2','505C'],['92E3','5075'],['92E4','5243'],['92E5','8C9E'],['92E6','5448'],['92E7','5824'],['92E8','5B9A'],['92E9','5E1D'],['92EA','5E95'],
                                ['92EB','5EAD'],['92EC','5EF7'],['92ED','5F1F'],['92EE','608C'],['92EF','62B5'],['92F0','633A'],['92F1','63D0'],['92F2','68AF'],['92F3','6C40'],
                                ['92F4','7887'],['92F5','798E'],['92F6','7A0B'],['92F7','7DE0'],['92F8','8247'],['92F9','8A02'],['92FA','8AE6'],['92FB','8E44'],['92FC','9013'],
                                ['9340','90B8'],['9341','912D'],['9342','91D8'],['9343','9F0E'],['9344','6CE5'],['9345','6458'],['9346','64E2'],['9347','6575'],['9348','6EF4'],
                                ['9349','7684'],['934A','7B1B'],['934B','9069'],['934C','93D1'],['934D','6EBA'],['934E','54F2'],['934F','5FB9'],['9350','64A4'],['9351','8F4D'],
                                ['9352','8FED'],['9353','9244'],['9354','5178'],['9355','586B'],['9356','5929'],['9357','5C55'],['9358','5E97'],['9359','6DFB'],['935A','7E8F'],
                                ['935B','751C'],['935C','8CBC'],['935D','8EE2'],['935E','985B'],['935F','70B9'],['9360','4F1D'],['9361','6BBF'],['9362','6FB1'],['9363','7530'],
                                ['9364','96FB'],['9365','514E'],['9366','5410'],['9367','5835'],['9368','5857'],['9369','59AC'],['936A','5C60'],['936B','5F92'],['936C','6597'],
                                ['936D','675C'],['936E','6E21'],['936F','767B'],['9370','83DF'],['9371','8CED'],['9372','9014'],['9373','90FD'],['9374','934D'],['9375','7825'],
                                ['9376','783A'],['9377','52AA'],['9378','5EA6'],['9379','571F'],['937A','5974'],['937B','6012'],['937C','5012'],['937D','515A'],['937E','51AC'],
                                ['9380','51CD'],['9381','5200'],['9382','5510'],['9383','5854'],['9384','5858'],['9385','5957'],['9386','5B95'],['9387','5CF6'],['9388','5D8B'],
                                ['9389','60BC'],['938A','6295'],['938B','642D'],['938C','6771'],['938D','6843'],['938E','68BC'],['938F','68DF'],['9390','76D7'],['9391','6DD8'],
                                ['9392','6E6F'],['9393','6D9B'],['9394','706F'],['9395','71C8'],['9396','5F53'],['9397','75D8'],['9398','7977'],['9399','7B49'],['939A','7B54'],
                                ['939B','7B52'],['939C','7CD6'],['939D','7D71'],['939E','5230'],['939F','8463'],['93A0','8569'],['93A1','85E4'],['93A2','8A0E'],['93A3','8B04'],
                                ['93A4','8C46'],['93A5','8E0F'],['93A6','9003'],['93A7','900F'],['93A8','9419'],['93A9','9676'],['93AA','982D'],['93AB','9A30'],['93AC','95D8'],
                                ['93AD','50CD'],['93AE','52D5'],['93AF','540C'],['93B0','5802'],['93B1','5C0E'],['93B2','61A7'],['93B3','649E'],['93B4','6D1E'],['93B5','77B3'],
                                ['93B6','7AE5'],['93B7','80F4'],['93B8','8404'],['93B9','9053'],['93BA','9285'],['93BB','5CE0'],['93BC','9D07'],['93BD','533F'],['93BE','5F97'],
                                ['93BF','5FB3'],['93C0','6D9C'],['93C1','7279'],['93C2','7763'],['93C3','79BF'],['93C4','7BE4'],['93C5','6BD2'],['93C6','72EC'],['93C7','8AAD'],
                                ['93C8','6803'],['93C9','6A61'],['93CA','51F8'],['93CB','7A81'],['93CC','6934'],['93CD','5C4A'],['93CE','9CF6'],['93CF','82EB'],['93D0','5BC5'],
                                ['93D1','9149'],['93D2','701E'],['93D3','5678'],['93D4','5C6F'],['93D5','60C7'],['93D6','6566'],['93D7','6C8C'],['93D8','8C5A'],['93D9','9041'],
                                ['93DA','9813'],['93DB','5451'],['93DC','66C7'],['93DD','920D'],['93DE','5948'],['93DF','90A3'],['93E0','5185'],['93E1','4E4D'],['93E2','51EA'],
                                ['93E3','8599'],['93E4','8B0E'],['93E5','7058'],['93E6','637A'],['93E7','934B'],['93E8','6962'],['93E9','99B4'],['93EA','7E04'],['93EB','7577'],
                                ['93EC','5357'],['93ED','6960'],['93EE','8EDF'],['93EF','96E3'],['93F0','6C5D'],['93F1','4E8C'],['93F2','5C3C'],['93F3','5F10'],['93F4','8FE9'],
                                ['93F5','5302'],['93F6','8CD1'],['93F7','8089'],['93F8','8679'],['93F9','5EFF'],['93FA','65E5'],['93FB','4E73'],['93FC','5165'],['9440','5982'],
                                ['9441','5C3F'],['9442','97EE'],['9443','4EFB'],['9444','598A'],['9445','5FCD'],['9446','8A8D'],['9447','6FE1'],['9448','79B0'],['9449','7962'],
                                ['944A','5BE7'],['944B','8471'],['944C','732B'],['944D','71B1'],['944E','5E74'],['944F','5FF5'],['9450','637B'],['9451','649A'],['9452','71C3'],
                                ['9453','7C98'],['9454','4E43'],['9455','5EFC'],['9456','4E4B'],['9457','57DC'],['9458','56A2'],['9459','60A9'],['945A','6FC3'],['945B','7D0D'],
                                ['945C','80FD'],['945D','8133'],['945E','81BF'],['945F','8FB2'],['9460','8997'],['9461','86A4'],['9462','5DF4'],['9463','628A'],['9464','64AD'],
                                ['9465','8987'],['9466','6777'],['9467','6CE2'],['9468','6D3E'],['9469','7436'],['946A','7834'],['946B','5A46'],['946C','7F75'],['946D','82AD'],
                                ['946E','99AC'],['946F','4FF3'],['9470','5EC3'],['9471','62DD'],['9472','6392'],['9473','6557'],['9474','676F'],['9475','76C3'],['9476','724C'],
                                ['9477','80CC'],['9478','80BA'],['9479','8F29'],['947A','914D'],['947B','500D'],['947C','57F9'],['947D','5A92'],['947E','6885'],['9480','6973'],
                                ['9481','7164'],['9482','72FD'],['9483','8CB7'],['9484','58F2'],['9485','8CE0'],['9486','966A'],['9487','9019'],['9488','877F'],['9489','79E4'],
                                ['948A','77E7'],['948B','8429'],['948C','4F2F'],['948D','5265'],['948E','535A'],['948F','62CD'],['9490','67CF'],['9491','6CCA'],['9492','767D'],
                                ['9493','7B94'],['9494','7C95'],['9495','8236'],['9496','8584'],['9497','8FEB'],['9498','66DD'],['9499','6F20'],['949A','7206'],['949B','7E1B'],
                                ['949C','83AB'],['949D','99C1'],['949E','9EA6'],['949F','51FD'],['94A0','7BB1'],['94A1','7872'],['94A2','7BB8'],['94A3','8087'],['94A4','7B48'],
                                ['94A5','6AE8'],['94A6','5E61'],['94A7','808C'],['94A8','7551'],['94A9','7560'],['94AA','516B'],['94AB','9262'],['94AC','6E8C'],['94AD','767A'],
                                ['94AE','9197'],['94AF','9AEA'],['94B0','4F10'],['94B1','7F70'],['94B2','629C'],['94B3','7B4F'],['94B4','95A5'],['94B5','9CE9'],['94B6','567A'],
                                ['94B7','5859'],['94B8','86E4'],['94B9','96BC'],['94BA','4F34'],['94BB','5224'],['94BC','534A'],['94BD','53CD'],['94BE','53DB'],['94BF','5E06'],
                                ['94C0','642C'],['94C1','6591'],['94C2','677F'],['94C3','6C3E'],['94C4','6C4E'],['94C5','7248'],['94C6','72AF'],['94C7','73ED'],['94C8','7554'],
                                ['94C9','7E41'],['94CA','822C'],['94CB','85E9'],['94CC','8CA9'],['94CD','7BC4'],['94CE','91C6'],['94CF','7169'],['94D0','9812'],['94D1','98EF'],
                                ['94D2','633D'],['94D3','6669'],['94D4','756A'],['94D5','76E4'],['94D6','78D0'],['94D7','8543'],['94D8','86EE'],['94D9','532A'],['94DA','5351'],
                                ['94DB','5426'],['94DC','5983'],['94DD','5E87'],['94DE','5F7C'],['94DF','60B2'],['94E0','6249'],['94E1','6279'],['94E2','62AB'],['94E3','6590'],
                                ['94E4','6BD4'],['94E5','6CCC'],['94E6','75B2'],['94E7','76AE'],['94E8','7891'],['94E9','79D8'],['94EA','7DCB'],['94EB','7F77'],['94EC','80A5'],
                                ['94ED','88AB'],['94EE','8AB9'],['94EF','8CBB'],['94F0','907F'],['94F1','975E'],['94F2','98DB'],['94F3','6A0B'],['94F4','7C38'],['94F5','5099'],
                                ['94F6','5C3E'],['94F7','5FAE'],['94F8','6787'],['94F9','6BD8'],['94FA','7435'],['94FB','7709'],['94FC','7F8E'],['9540','9F3B'],['9541','67CA'],
                                ['9542','7A17'],['9543','5339'],['9544','758B'],['9545','9AED'],['9546','5F66'],['9547','819D'],['9548','83F1'],['9549','8098'],['954A','5F3C'],
                                ['954B','5FC5'],['954C','7562'],['954D','7B46'],['954E','903C'],['954F','6867'],['9550','59EB'],['9551','5A9B'],['9552','7D10'],['9553','767E'],
                                ['9554','8B2C'],['9555','4FF5'],['9556','5F6A'],['9557','6A19'],['9558','6C37'],['9559','6F02'],['955A','74E2'],['955B','7968'],['955C','8868'],
                                ['955D','8A55'],['955E','8C79'],['955F','5EDF'],['9560','63CF'],['9561','75C5'],['9562','79D2'],['9563','82D7'],['9564','9328'],['9565','92F2'],
                                ['9566','849C'],['9567','86ED'],['9568','9C2D'],['9569','54C1'],['956A','5F6C'],['956B','658C'],['956C','6D5C'],['956D','7015'],['956E','8CA7'],
                                ['956F','8CD3'],['9570','983B'],['9571','654F'],['9572','74F6'],['9573','4E0D'],['9574','4ED8'],['9575','57E0'],['9576','592B'],['9577','5A66'],
                                ['9578','5BCC'],['9579','51A8'],['957A','5E03'],['957B','5E9C'],['957C','6016'],['957D','6276'],['957E','6577'],['9580','65A7'],['9581','666E'],
                                ['9582','6D6E'],['9583','7236'],['9584','7B26'],['9585','8150'],['9586','819A'],['9587','8299'],['9588','8B5C'],['9589','8CA0'],['958A','8CE6'],
                                ['958B','8D74'],['958C','961C'],['958D','9644'],['958E','4FAE'],['958F','64AB'],['9590','6B66'],['9591','821E'],['9592','8461'],['9593','856A'],
                                ['9594','90E8'],['9595','5C01'],['9596','6953'],['9597','98A8'],['9598','847A'],['9599','8557'],['959A','4F0F'],['959B','526F'],['959C','5FA9'],
                                ['959D','5E45'],['959E','670D'],['959F','798F'],['95A0','8179'],['95A1','8907'],['95A2','8986'],['95A3','6DF5'],['95A4','5F17'],['95A5','6255'],
                                ['95A6','6CB8'],['95A7','4ECF'],['95A8','7269'],['95A9','9B92'],['95AA','5206'],['95AB','543B'],['95AC','5674'],['95AD','58B3'],['95AE','61A4'],
                                ['95AF','626E'],['95B0','711A'],['95B1','596E'],['95B2','7C89'],['95B3','7CDE'],['95B4','7D1B'],['95B5','96F0'],['95B6','6587'],['95B7','805E'],
                                ['95B8','4E19'],['95B9','4F75'],['95BA','5175'],['95BB','5840'],['95BC','5E63'],['95BD','5E73'],['95BE','5F0A'],['95BF','67C4'],['95C0','4E26'],
                                ['95C1','853D'],['95C2','9589'],['95C3','965B'],['95C4','7C73'],['95C5','9801'],['95C6','50FB'],['95C7','58C1'],['95C8','7656'],['95C9','78A7'],
                                ['95CA','5225'],['95CB','77A5'],['95CC','8511'],['95CD','7B86'],['95CE','504F'],['95CF','5909'],['95D0','7247'],['95D1','7BC7'],['95D2','7DE8'],
                                ['95D3','8FBA'],['95D4','8FD4'],['95D5','904D'],['95D6','4FBF'],['95D7','52C9'],['95D8','5A29'],['95D9','5F01'],['95DA','97AD'],['95DB','4FDD'],
                                ['95DC','8217'],['95DD','92EA'],['95DE','5703'],['95DF','6355'],['95E0','6B69'],['95E1','752B'],['95E2','88DC'],['95E3','8F14'],['95E4','7A42'],
                                ['95E5','52DF'],['95E6','5893'],['95E7','6155'],['95E8','620A'],['95E9','66AE'],['95EA','6BCD'],['95EB','7C3F'],['95EC','83E9'],['95ED','5023'],
                                ['95EE','4FF8'],['95EF','5305'],['95F0','5446'],['95F1','5831'],['95F2','5949'],['95F3','5B9D'],['95F4','5CF0'],['95F5','5CEF'],['95F6','5D29'],
                                ['95F7','5E96'],['95F8','62B1'],['95F9','6367'],['95FA','653E'],['95FB','65B9'],['95FC','670B'],['9640','6CD5'],['9641','6CE1'],['9642','70F9'],
                                ['9643','7832'],['9644','7E2B'],['9645','80DE'],['9646','82B3'],['9647','840C'],['9648','84EC'],['9649','8702'],['964A','8912'],['964B','8A2A'],
                                ['964C','8C4A'],['964D','90A6'],['964E','92D2'],['964F','98FD'],['9650','9CF3'],['9651','9D6C'],['9652','4E4F'],['9653','4EA1'],['9654','508D'],
                                ['9655','5256'],['9656','574A'],['9657','59A8'],['9658','5E3D'],['9659','5FD8'],['965A','5FD9'],['965B','623F'],['965C','66B4'],['965D','671B'],
                                ['965E','67D0'],['965F','68D2'],['9660','5192'],['9661','7D21'],['9662','80AA'],['9663','81A8'],['9664','8B00'],['9665','8C8C'],['9666','8CBF'],
                                ['9667','927E'],['9668','9632'],['9669','5420'],['966A','982C'],['966B','5317'],['966C','50D5'],['966D','535C'],['966E','58A8'],['966F','64B2'],
                                ['9670','6734'],['9671','7267'],['9672','7766'],['9673','7A46'],['9674','91E6'],['9675','52C3'],['9676','6CA1'],['9677','6B86'],['9678','5800'],
                                ['9679','5E4C'],['967A','5954'],['967B','672C'],['967C','7FFB'],['967D','51E1'],['967E','76C6'],['9680','6469'],['9681','78E8'],['9682','9B54'],
                                ['9683','9EBB'],['9684','57CB'],['9685','59B9'],['9686','6627'],['9687','679A'],['9688','6BCE'],['9689','54E9'],['968A','69D9'],['968B','5E55'],
                                ['968C','819C'],['968D','6795'],['968E','9BAA'],['968F','67FE'],['9690','9C52'],['9691','685D'],['9692','4EA6'],['9693','4FE3'],['9694','53C8'],
                                ['9695','62B9'],['9696','672B'],['9697','6CAB'],['9698','8FC4'],['9699','4FAD'],['969A','7E6D'],['969B','9EBF'],['969C','4E07'],['969D','6162'],
                                ['969E','6E80'],['969F','6F2B'],['96A0','8513'],['96A1','5473'],['96A2','672A'],['96A3','9B45'],['96A4','5DF3'],['96A5','7B95'],['96A6','5CAC'],
                                ['96A7','5BC6'],['96A8','871C'],['96A9','6E4A'],['96AA','84D1'],['96AB','7A14'],['96AC','8108'],['96AD','5999'],['96AE','7C8D'],['96AF','6C11'],
                                ['96B0','7720'],['96B1','52D9'],['96B2','5922'],['96B3','7121'],['96B4','725F'],['96B5','77DB'],['96B6','9727'],['96B7','9D61'],['96B8','690B'],
                                ['96B9','5A7F'],['96BA','5A18'],['96BB','51A5'],['96BC','540D'],['96BD','547D'],['96BE','660E'],['96BF','76DF'],['96C0','8FF7'],['96C1','9298'],
                                ['96C2','9CF4'],['96C3','59EA'],['96C4','725D'],['96C5','6EC5'],['96C6','514D'],['96C7','68C9'],['96C8','7DBF'],['96C9','7DEC'],['96CA','9762'],
                                ['96CB','9EBA'],['96CC','6478'],['96CD','6A21'],['96CE','8302'],['96CF','5984'],['96D0','5B5F'],['96D1','6BDB'],['96D2','731B'],['96D3','76F2'],
                                ['96D4','7DB2'],['96D5','8017'],['96D6','8499'],['96D7','5132'],['96D8','6728'],['96D9','9ED9'],['96DA','76EE'],['96DB','6762'],['96DC','52FF'],
                                ['96DD','9905'],['96DE','5C24'],['96DF','623B'],['96E0','7C7E'],['96E1','8CB0'],['96E2','554F'],['96E3','60B6'],['96E4','7D0B'],['96E5','9580'],
                                ['96E6','5301'],['96E7','4E5F'],['96E8','51B6'],['96E9','591C'],['96EA','723A'],['96EB','8036'],['96EC','91CE'],['96ED','5F25'],['96EE','77E2'],
                                ['96EF','5384'],['96F0','5F79'],['96F1','7D04'],['96F2','85AC'],['96F3','8A33'],['96F4','8E8D'],['96F5','9756'],['96F6','67F3'],['96F7','85AE'],
                                ['96F8','9453'],['96F9','6109'],['96FA','6108'],['96FB','6CB9'],['96FC','7652'],['9740','8AED'],['9741','8F38'],['9742','552F'],['9743','4F51'],
                                ['9744','512A'],['9745','52C7'],['9746','53CB'],['9747','5BA5'],['9748','5E7D'],['9749','60A0'],['974A','6182'],['974B','63D6'],['974C','6709'],
                                ['974D','67DA'],['974E','6E67'],['974F','6D8C'],['9750','7336'],['9751','7337'],['9752','7531'],['9753','7950'],['9754','88D5'],['9755','8A98'],
                                ['9756','904A'],['9757','9091'],['9758','90F5'],['9759','96C4'],['975A','878D'],['975B','5915'],['975C','4E88'],['975D','4F59'],['975E','4E0E'],
                                ['975F','8A89'],['9760','8F3F'],['9761','9810'],['9762','50AD'],['9763','5E7C'],['9764','5996'],['9765','5BB9'],['9766','5EB8'],['9767','63DA'],
                                ['9768','63FA'],['9769','64C1'],['976A','66DC'],['976B','694A'],['976C','69D8'],['976D','6D0B'],['976E','6EB6'],['976F','7194'],['9770','7528'],
                                ['9771','7AAF'],['9772','7F8A'],['9773','8000'],['9774','8449'],['9775','84C9'],['9776','8981'],['9777','8B21'],['9778','8E0A'],['9779','9065'],
                                ['977A','967D'],['977B','990A'],['977C','617E'],['977D','6291'],['977E','6B32'],['9780','6C83'],['9781','6D74'],['9782','7FCC'],['9783','7FFC'],
                                ['9784','6DC0'],['9785','7F85'],['9786','87BA'],['9787','88F8'],['9788','6765'],['9789','83B1'],['978A','983C'],['978B','96F7'],['978C','6D1B'],
                                ['978D','7D61'],['978E','843D'],['978F','916A'],['9790','4E71'],['9791','5375'],['9792','5D50'],['9793','6B04'],['9794','6FEB'],['9795','85CD'],
                                ['9796','862D'],['9797','89A7'],['9798','5229'],['9799','540F'],['979A','5C65'],['979B','674E'],['979C','68A8'],['979D','7406'],['979E','7483'],
                                ['979F','75E2'],['97A0','88CF'],['97A1','88E1'],['97A2','91CC'],['97A3','96E2'],['97A4','9678'],['97A5','5F8B'],['97A6','7387'],['97A7','7ACB'],
                                ['97A8','844E'],['97A9','63A0'],['97AA','7565'],['97AB','5289'],['97AC','6D41'],['97AD','6E9C'],['97AE','7409'],['97AF','7559'],['97B0','786B'],
                                ['97B1','7C92'],['97B2','9686'],['97B3','7ADC'],['97B4','9F8D'],['97B5','4FB6'],['97B6','616E'],['97B7','65C5'],['97B8','865C'],['97B9','4E86'],
                                ['97BA','4EAE'],['97BB','50DA'],['97BC','4E21'],['97BD','51CC'],['97BE','5BEE'],['97BF','6599'],['97C0','6881'],['97C1','6DBC'],['97C2','731F'],
                                ['97C3','7642'],['97C4','77AD'],['97C5','7A1C'],['97C6','7CE7'],['97C7','826F'],['97C8','8AD2'],['97C9','907C'],['97CA','91CF'],['97CB','9675'],
                                ['97CC','9818'],['97CD','529B'],['97CE','7DD1'],['97CF','502B'],['97D0','5398'],['97D1','6797'],['97D2','6DCB'],['97D3','71D0'],['97D4','7433'],
                                ['97D5','81E8'],['97D6','8F2A'],['97D7','96A3'],['97D8','9C57'],['97D9','9E9F'],['97DA','7460'],['97DB','5841'],['97DC','6D99'],['97DD','7D2F'],
                                ['97DE','985E'],['97DF','4EE4'],['97E0','4F36'],['97E1','4F8B'],['97E2','51B7'],['97E3','52B1'],['97E4','5DBA'],['97E5','601C'],['97E6','73B2'],
                                ['97E7','793C'],['97E8','82D3'],['97E9','9234'],['97EA','96B7'],['97EB','96F6'],['97EC','970A'],['97ED','9E97'],['97EE','9F62'],['97EF','66A6'],
                                ['97F0','6B74'],['97F1','5217'],['97F2','52A3'],['97F3','70C8'],['97F4','88C2'],['97F5','5EC9'],['97F6','604B'],['97F7','6190'],['97F8','6F23'],
                                ['97F9','7149'],['97FA','7C3E'],['97FB','7DF4'],['97FC','806F'],['9840','84EE'],['9841','9023'],['9842','932C'],['9843','5442'],['9844','9B6F'],
                                ['9845','6AD3'],['9846','7089'],['9847','8CC2'],['9848','8DEF'],['9849','9732'],['984A','52B4'],['984B','5A41'],['984C','5ECA'],['984D','5F04'],
                                ['984E','6717'],['984F','697C'],['9850','6994'],['9851','6D6A'],['9852','6F0F'],['9853','7262'],['9854','72FC'],['9855','7BED'],['9856','8001'],
                                ['9857','807E'],['9858','874B'],['9859','90CE'],['985A','516D'],['985B','9E93'],['985C','7984'],['985D','808B'],['985E','9332'],['985F','8AD6'],
                                ['9860','502D'],['9861','548C'],['9862','8A71'],['9863','6B6A'],['9864','8CC4'],['9865','8107'],['9866','60D1'],['9867','67A0'],['9868','9DF2'],
                                ['9869','4E99'],['986A','4E98'],['986B','9C10'],['986C','8A6B'],['986D','85C1'],['986E','8568'],['986F','6900'],['9870','6E7E'],['9871','7897'],
                                ['9872','8155'],['9873','------'],['9874','------'],['9875','------'],['9876','------'],['9877','------'],['9878','------'],['9879','------'],['987A','------'],
                                ['987B','------'],['987C','------'],['987D','------'],['987E','------'],['9880','------'],['9881','------'],['9882','------'],['9883','------'],['9884','------'],
                                ['9885','------'],['9886','------'],['9887','------'],['9888','------'],['9889','------'],['988A','------'],['988B','------'],['988C','------'],['988D','------'],
                                ['988E','------'],['988F','------'],['9890','------'],['9891','------'],['9892','------'],['9893','------'],['9894','------'],['9895','------'],['9896','------'],
                                ['9897','------'],['9898','------'],['9899','------'],['989A','------'],['989B','------'],['989C','------'],['989D','------'],['989E','------']
                            ];

            this.propSTR = new Array();
            this.prefLabelColor = new Array();
            this.prefLabel = new Array();
        }

        runScr.prototype =
        {
            //アプリバージョン確認・エラーコメント
            strErr: "****** CS6 以上じゃないですよっと ******",

            //OS判別
            osChk: function()
            {
                //AE CS バージョン取得
                this.verVal = parseInt(app.version.split(".")[0]) - 5;
                var verVal = parseFloat(app.version).toFixed(1);
                //環境設定ファイル
                //CS6まで
                if(parseFloat(app.version) < 12){
                    if(app.isoLanguage == "ja_JP"){
                        this.sSTR = "環境設定";
                        this.isoL = "JP";
                    }else{
                        this.sSTR = "Prefs.txt";
                        this.isoL = "OTHER";
                    }
                //CC2012以上
                }else{
                    if(app.isoLanguage == "ja_JP"){
                        this.sSTR = "環境設定-indep-general";
                        this.isoL = "JP";
                    }else{
                        this.sSTR = "Prefs-indep-general.txt";
                        this.isoL = "OTHER";
                    }
                }
                //改行コード用(Win & Mac 両対応)
                if(File.fs == "Windows"){
                    //AE Scriptsフォルダパス
                    this.aePath = Folder.startup.fsName.replace(/\\/g,"/") + "/Scripts/";

                    //AE User AppDataフォルダパス
                    this.userPath = "/Users/" + system.userName +"/AppData/Roaming/Adobe/After Effects/" + verVal;

                    //Windows
                    this.OS = "Win";
                    //改行コード
                    this.CF = "\r\n";
                    //パスのバックスラッシュ
                    this.cN = "\\";
                }else if(File.fs == "Macintosh"){
                    //AE Scriptsフォルダパス
                    this.aePath = Folder.startup.parent.parent.parent.fsName.replace(/\\/g,"/") + "/Scripts/";

                    //AE User AppDataフォルダパス
                    this.userPath = "/Users/" + system.userName +"/Library/Preferences/Adobe/After Effects/" + verVal;

                    //Mac
                    this.OS = "Mac";
                    //改行コード
                    this.CF = "\r";
                    //パスのバックスラッシュ
                    this.cN = "/";
                }

                //tab space
                this.tabS = "\t";

                //環境設定ファイル < ラベルカラーテキスト取得
                this.getLabelColorTxt();

                //alert(this.aePath);
            },

            //環境設定ファイル < ラベルカラーテキスト取得
            getLabelColorTxt: function()
            {
                var iTxt = new Folder(this.userPath).getFiles();
                if(new Folder(this.userPath)){
                    this.prefTxt = undefined;
                    for(var i=0;i<iTxt.length;i++){
                        if(iTxt[i].fsName.indexOf(this.sSTR) != -1){
                            this.prefTxt = iTxt[i].fsName;
                            break;
                        }
                    }
                    if(this.prefTxt != undefined){
                        if(this.isoL == "JP"){
                            //環境設定ファイルを直読み込み
                            var impPrefArr = this.impFile(this.prefTxt);
                            this.prefLabelColor = this.chgColorCode(impPrefArr[0]);
                            this.prefLabelColor.unshift([96,96,96]);
                            this.prefLabel = this.chgCode(impPrefArr[1]);
                            this.prefLabel.unshift("なし");
                        }else{
                            //環境設定プレファランスを読み込み
                            this.prefLabel = this.getPref();
                            this.prefLabel.unshift("non");
                        }
                    }else{
                        alert("環境設定ファイルが見つかりませんでした");
                    }
                }else{
                    alert("フォルダ [" + this.userPath.fsName + "] がありません");
                }
            },

            //SJIS → UTF-16 → ColorCodeに変換
            chgColorCode: function(oArr)
            {
                if(oArr.length == 0){
                    alert("文字コードがありません");
                }else{
                    var arrText = new Array();
                    for(var i=0;i<oArr.length;i++){
                        var nTxt = oArr[i].join("").replace("FF","");
                        var oColor = [parseInt(nTxt.substring(0,2),16),parseInt(nTxt.substring(2,4),16),parseInt(nTxt.substring(4,6),16)];
                        arrText.push(oColor);
                    }
                }
                //alert(arrText);
                return arrText;
            },

            //SJIS → UTF-16 → 文字列に変換
            chgCode: function(oArr)
            {
                if(oArr.length == 0){
                    alert("文字コードがありません");
                }else{
                    var arrText = new Array();
                    for(var i=0;i<oArr.length;i++){
                        var nTxt = "";
                        for(var ii=0;ii<oArr[i].length;ii++){
                            for(var p=0;p<this.codeArr.length;p++){
                                //コード変換
                                if(oArr[i][ii] == this.codeArr[p][0]){
                                    if(this.codeArr[p][1] != '------'){
                                        nTxt += unescape("%u"+ this.codeArr[p][1]);
                                    }else{
                                        nTxt += '------';
                                    }

                                    break;
                                }
                            }
                        }
                        arrText.push(nTxt);
                    }
                }
                //alert(arrText);
                return arrText;
            },

            //環境設定ファイルを直で読み込み　※AE日本語版＆CC2012以上
            impFile: function(oImp)
            {
                var arrColor0 = [16];
                var arrColorStr0 = [16];
                //ソート用インデックス
                var iVal = [1,10,11,12,13,14,15,16,2,3,4,5,6,7,8,9];
                var arrColor = new Array();
                var arrColorStr = new Array();
                var impTxt = new File(oImp);
                if(impTxt.exists){
                    impTxt.encoding = "UTF-8";
                    if(impTxt.open("r")){
                        //行(セル)ごとに読み込み
                        try{
                            var oCountA = 0;
                            var fValA = false;
                            while(oCountA < 17)
                            {
                                var txtValA = impTxt.readln();
                                if(txtValA == '["Label Preference Color Section 5"]'){
                                    fValA = true;
                                }
                                if(fValA){
                                    if(0 < oCountA){
                                        var oTxtA = txtValA.split(" = ")[1];
                                        var oTxtA2 = oTxtA.split('"');
                                        arrColor.push(oTxtA2);
                                        arrColor0[iVal[oCountA-1]-1] = oTxtA2;
                                    }
                                    oCountA++;
                                }
                            }
                            var oCountB = 0;
                            var fValB = false;
                            while(oCountB < 17)
                            {
                                var txtValB = impTxt.readln();
                                if(txtValB == '["Label Preference Text Section 5"]'){
                                    fValB = true;
                                }
                                if(fValB){
                                    if(0 < oCountB){
                                        var oTxtB = txtValB.split(" = ")[1];
                                        var oTxtB2 = oTxtB.split('"');
                                        arrColorStr.push(oTxtB2);
                                        arrColorStr0[iVal[oCountB-1]-1] = oTxtB2;
                                    }
                                    oCountB++;
                                }
                            }
                            impTxt.close();
                        }catch(e){
                            alert("******読み込みに失敗しました A******");
                        }
                    }
                }else{
                    alert("環境設定ファイルが見つかりませんでした")
                }
                //alert(arrColorStr0);
                var oLabelA = this.changeSJIS(arrColor0);
                var oLabelB = this.changeSJIS(arrColorStr0);
                return [oLabelA,oLabelB];
            },

            changeSJIS: function(oArr)
            {
                //文字列をUTF8の16進文字列に変換
                var saveSTR = new Array();;
                for(var i=0;i<oArr.length;i++){
                    var strHEX = "";
                    var hexArr = new Array()
;                    for(var ii=0;ii<oArr[i].length;ii++){
                        if(oArr[i][ii].length > 0){
                            //配列が偶数(全角文字)だったら変換 ※０スタートの為、余りは１で判別
                            if(ii % 2 == 1){
                                strHEX += unescape(string_to_utf8_hex_string(oArr[i][ii])).toUpperCase();
                            }else{
                                strHEX += unescape(oArr[i][ii]).toUpperCase();
                            }
                        }
                    }
                    //4文字ごとに配列化
                    var newSTR = "";
                    for(var iii=0;iii<strHEX.length;iii++){
                        newSTR += strHEX.charAt(iii);
                        if(newSTR.length == 4){
                            hexArr.push(newSTR);
                            newSTR = "";
                        }
                    }
                    saveSTR.push(hexArr);
                }
                //alert(saveSTR[0]);
                return saveSTR;

                // 文字列をUTF8の16進文字列に変換
                function string_to_utf8_hex_string(text)
                {
                    var bytes1 = string_to_utf8_bytes(text);
                    var hex_str1 = bytes_to_hex_string(bytes1);
                    return hex_str1;
                }
                // 文字列をUTF8のバイト配列に変換
                function string_to_utf8_bytes(text)
                {
                    var result = [];
                    if (text == null){
                        return result;
                    }else{
                        for (var i = 0; i < text.length; i++) {
                            var c = text.charCodeAt(i);
                            if (c <= 0x7f) {
                                result.push(c);
                            } else if (c <= 0x07ff) {
                                result.push(((c >> 6) & 0x1F) | 0xC0);
                                result.push((c & 0x3F) | 0x80);
                            } else {
                                result.push(((c >> 12) & 0x0F) | 0xE0);
                                result.push(((c >> 6) & 0x3F) | 0x80);
                                result.push((c & 0x3F) | 0x80);
                            }
                        }
                        return result;
                    }
                }
                // バイト配列を16進文字列に変換
                function bytes_to_hex_string(bytes)
                {
                    var result = "";

                    for (var i = 0; i < bytes.length; i++) {
                        result += byte_to_hex(bytes[i]);
                    }
                    return result;
                }
                // バイト値を16進文字列に変換
                function byte_to_hex(byte_num)
                {
                    var digits = (byte_num).toString(16);
                    if (byte_num < 16) return '0' + digits;
                    return digits;
                }
                //alert(saveSTR[0]);
                //alert(unescape("%u30A2"));
            },

            getPref: function(oImp)
            {
                var arrColorStr = new Array();
                //get pref
                for(var p=1;p<=16;p++){
                    var cP = "Label Text ID 2 # " + p;
                    //CS6
                    if(parseFloat(app.version) < 12){
                        arrColorStr.push(app.preferences.getPrefAsString("Label Preference Text Section 5",cP));
                    //CC 2012 over
                    }else{
                        var oSTR = app.preferences.getPrefAsString("Label Preference Text Section 5",cP,PREFType.PREF_Type_MACHINE_INDEPENDENT);
                        arrColorStr.push(oSTR);
                    }
                }
                return arrColorStr;
            },

            //レイヤープロパティ取得
            getProp: function()
            {
                var selLys = new Array();
                var selProp = new Array();
                var selProps = new Array();

                try{
                    selLys = app.project.activeItem.selectedLayers;
                    selProps = selLys[0].selectedProperties;
                }catch(e){
                    alert("******レイヤーが選ばれていません******");
                    this.valE = true;
                }

                if(!this.valE){
                    switch(selProps.length)
                    {
                        case 0: alert("******プロパティが選ばれていません******"); this.valE = true; break;
                        default:    //選択されたプロパティの数を調べる
                                    var i=0;
                                    var numP=0;
                                    do{
                                        if(String(selProps[i]) == "[object Property]"){
                                            numP++;
                                        }
                                        i++;
                                    }while(i<selProps.length);

                                    //1つだったら取得
                                    if(numP > 1){
                                        alert("******複数のプロパティが選ばれています******");
                                        this.valE = true;
                                    }else{
                                        if(String(selProps[selProps.length-1]) == "[object Property]"){
                                            var pG = new Array();
                                            var pP = selProps[selProps.length-1].parentProperty;
                                            var valP = false;
                                            var i=0;

                                            //"PropertyGroup" の先頭にたどり着くまで逆からプロパティを取得
                                            do{
                                                //alert(pP);
                                                if(String(pP).indexOf("PropertyGroup") != -1){
                                                    selProp[i] = pP;
                                                    pP = selProp[i].parentProperty;
                                                    i++;
                                                }else{
                                                    selProp.reverse();
                                                    //selProp.unshift(app.project.activeItem);

                                                    valP = true;
                                                }
                                            }while(!valP);
                                            selProp.push(selProps[selProps.length-1]);
                                        }else{
                                            alert("[object Property]を選択してください");
                                            this.valE = true;
                                        }
                                        if(!this.valE){
                                            var strProp = "";
                                            for(var i=0;i<selProp.length;i++){
                                                strProp += '("' + selProp[i].matchName + '")';
                                                this.propSTR.push(selProp[i]);
                                            }
                                            //this.propSTR = strProp;
                                            return strProp;
                                        }
                                    }
                                    break;
                    }
                }

            },

            selProperties: function()
            {
                if(this.propSTR.length > 0){
                    var curComp = app.project.activeItem;
                    if(curComp == null){
                        alert("コンポがアクティブになっていません");
                    }else{
                        var selLayer = new Array();
                        selLayer = curComp.selectedLayers;
                        if(selLayer.length == 0){
                            alert("レイヤーが選択されていません");
                        }else{
                            for(var i=0;i<selLayer.length;i++){
                                var oLy = selLayer[i];
                                var p = 0;
                                var pp = 1;
                                var cLy;
                                var valP = false;
                                var valPP = false;
                                try{
                                    do{
                                        if(oLy(pp).matchName == this.propSTR[p].matchName){
                                            if(oLy(pp).name == this.propSTR[p].name){
                                                if(p == this.propSTR.length-1){
                                                    oLy(pp).selected = true;
                                                    valP = true;
                                                    valPP = true;
                                                }else{
                                                    oLy = oLy(pp);
                                                    p++;
                                                    pp = 0;
                                                }
                                            }
                                        }
                                        pp++;
                                        if(pp > oLy.numProperties){valP = true;}
                                    }while(!valP);
                                    //指定したプロパティがない場合はレイヤー選択を解除
                                    if(!valPP){selLayer[i].selected = false;}
                                }catch(e){}
                            }
                        }
                    }
                }else{
                    alert("[GET]ボタンでプロパティを取得してください");
                }
            },

            getLabel: function()
            {
                var curComp = app.project.activeItem;
                if(curComp == null){
                    alert("コンポがアクティブになっていません");
                    this.valE = true;
                }else{
                    if(curComp.numLayers == 0){
                        alert("コンポ内にレイヤーがありません");
                        this.valE = true;
                    }else{
                        var arrLabelNum = new Array();
                        var arrLabelLys = new Array();
                        var exVal = {};
                        for(var i=1;i<=curComp.numLayers;i++){
                            var temp = curComp.layer(i).label;
                            if(!exVal[temp]){
                                arrLabelNum.push(temp);
                                arrLabelLys.push([temp,curComp.layer(i)]);
                                exVal[temp] = true;
                            }else{
                                for(var ii=0;ii<arrLabelLys;ii++){
                                    if(arrLabelLys[ii][0] == temp){
                                        arrLabelLys[ii][1].push(curComp.layer(i));
                                    }
                                }
                            }
                        }
                        //arrLabelNum.sort(this.upLabel);
                        var arrLabel = new Array();
                        for(var i=0;i<arrLabelNum.length;i++){
                            for(var ii=0;ii<this.prefLabel.length;ii++){
                                if(arrLabelNum[i] == ii){
                                    arrLabel.push(this.prefLabel[ii]);
                                }
                            }
                        }
                        return arrLabel;
                    }
                }
            },

            //レイヤーのラベルでソート(昇順)
            upLabel: function(a,b)
            {
                 return (a > b) ? 1 : -1 ;
            },

            //レイヤーのラベルでソート(降順)
            downIndex: function(a,b)
            {
                 return (a.index < b.index) ? 1 : -1 ;
            },

            selLabel: function(oComp,rVal,lVal)
            {
                var arrLabel = new Array();
                var oID;
                for(var i=0;i<this.prefLabel.length;i++){
                    if(this.prefLabel[i] == String(lVal)){
                        oID = i;
                        break;
                    }
                }
                for(var i=1;i<=oComp.numLayers;i++){
                    if(oComp.layer(i).label == oID){
                        arrLabel.push(oComp.layer(i));
                    }
                    //new selected だったら選択解除
                    if(rVal == 0){
                        if(oComp.layer(i).selected){oComp.layer(i).selected = false;}
                    }
                }
                return arrLabel;
            },

            selName: function(curComp,rVal,oTxt)
            {
                var arrName = new Array();
                if(oTxt == ""){
                    alert("入力がありません");
                    this.valE = true;
                }else{
                    for(var i=1;i<=curComp.numLayers;i++){
                        if(curComp.layer(i).name.indexOf(oTxt) != -1){
                            arrName.push(curComp.layer(i));
                        }
                        //new selected だったら選択解除
                        if(rVal == 0){
                            if(curComp.layer(i).selected){curComp.layer(i).selected = false;}
                        }
                    }
                }
                return arrName;
            },

            selIndex: function(curComp,rVal,rVal2,cVal,oTxt2,oTxt3)
            {
                var oS = 1;
                var oE = curComp.numLayers;
                //範囲指定ありの場合
                if(rVal2 == 2 || cVal){
                    if(oTxt2 == "" || oTxt3 == ""){
                        alert("範囲が指定されていません");
                        this.valE = true;
                    }else{
                        oS = oTxt2;
                        oE = oTxt3;
                    }
                }
                if(this.valE){
                    this.valE = false;
                }else{
                    var arrIndex = new Array();
                    for(var i=1;i<=curComp.numLayers;i++){
                        //範囲指定内
                        if(oS <= i && i <= oE){
                            //奇数選択
                            if(rVal2 == 0){
                                if(rVal == 3){
                                    if(i % 2 == 1){
                                        //重複していたら取得
                                        if(curComp.layer(i).selected){
                                            arrIndex.push(curComp.layer(i));
                                        }
                                    }
                                }else{
                                    if(i % 2 == 1){arrIndex.push(curComp.layer(i));}
                                }
                            //偶数選択
                            }else if(rVal2 == 1){
                                if(rVal == 3){
                                    if(i % 2 == 0){
                                        //重複していたら取得
                                        if(curComp.layer(i).selected){
                                            arrIndex.push(curComp.layer(i));
                                        }
                                    }
                                }else{
                                    if(i % 2 == 0){arrIndex.push(curComp.layer(i));}
                                }
                            //範囲指定
                            }else if(rVal2 == 2){
                                if(rVal == 3){
                                    //重複していたら取得
                                    if(curComp.layer(i).selected){
                                        arrIndex.push(curComp.layer(i));
                                    }
                                }else{
                                    arrIndex.push(curComp.layer(i));
                                }
                            }
                        }
                        //new selected だったら選択解除
                        if(rVal == 0 || rVal == 3){
                            if(curComp.layer(i).selected){curComp.layer(i).selected = false;}
                        }
                    }
                    return arrIndex;
                }

            },

            getSelect: function(curComp,rVal,dVal,lVal,oTxt,rVal2,cVal,oTxt2,oTxt3)
            {
                app.beginUndoGroup("multiSelection");
                var arrLys = new Array();
                switch(dVal){
                    case 0: arrLys = this.selName(curComp,rVal,oTxt);break; //name select
                    case 1: arrLys = this.selLabel(curComp,rVal,lVal);break; //label select
                    case 2: arrLys = this.selIndex(curComp,rVal,rVal2,cVal,oTxt2,oTxt3);break; //index select
                }
                if(!this.valE){
                    if(arrLys == undefined || arrLys.length == 0){
                        alert("有効なレイヤーはありませんでした");
                    }else{
                        for(var i=0;i<arrLys.length;i++){
                            //new & add & overlap select
                            if(rVal != 2){
                                if(!arrLys[i].selected){arrLys[i].selected = true;}
                            //remove select
                            }else{
                                if(arrLys[i].selected){arrLys[i].selected = false;}
                            }
                        }
                    }
                }
                app.endUndoGroup();
            },

            getComp: function(rVal,dVal,lVal,eTxt,rVal2,cVal,eTxt2,eTxt3)
            {
                var actComp = app.project.activeItem;
                if(actComp == null){
                    alert("コンポがアクティブになっていません");
                }else{
                    if(actComp.numLayers == 0){
                        alert("コンポ内にレイヤーがありません");
                    }else{
                        this.valE = false;
                        this.getSelect(actComp,rVal,dVal,lVal,eTxt,rVal2,cVal,eTxt2,eTxt3);
                    }
                }

            },

            bldUI: function()
            {
                var bSelf = this;
                var selList = [" Name Select"," Label Select"," Index Select"];
                if(this.OS == "Win"){
                    var bld = new Window("window"," multiSelection ver 2.0", [0,0,300,275]);
                }else{
                    var bld = new Window("dialog"," multiSelection ver 2.0", [0,0,300,275]);
                }

                var rdGrp = bld.add("panel",[5,5,295,45],"",{borderStyle:"gray"});
                var rdBtn1 = rdGrp.add("radiobutton",[5,5,80,30],"new select");
                rdBtn1.value = true;
                rdBtn1.helpTip = "新しく選択";
                var rdBtn2 = rdGrp.add("radiobutton",[85,5,155,30],"add select");
                rdBtn2.helpTip = "現在の選択に追加";
                var rdBtn3 = rdGrp.add("radiobutton",[160,5,220,30],"remove");
                rdBtn3.helpTip = "現在の選択から除外";
                var rdBtn4 = rdGrp.add("radiobutton",[225,5,285,30],"overlap");
                rdBtn4.helpTip = "現在の選択から重複のみを選択";

                var selGrp = bld.add("panel",[5,48,295,173],"",{borderStyle:"gray"});
                var ddList = selGrp.add("dropdownlist",[5,5,120,30],selList);
                ddList.selection = 0;

                var nameGrp = selGrp.add("group",[0,45,290,120],"");
                var infoA = nameGrp.add("statictext",[10,5,240,25],"Name Select: ～を含む名前のレイヤーを選択");
                var edTxtA = nameGrp.add("edittext",[10,30,200,55],"");

                var labelGrp = selGrp.add("group",[0,45,290,120],"");
                var infoB = labelGrp.add("statictext",[10,5,240,25],"Label Select: レイヤーのラベルを選択");
                var labelDD = labelGrp.add("dropdownlist",[10,30,200,55],[]);
                labelDD.selection = 0;
                labelGrp.visible = false;

                var indexGrp = selGrp.add("group",[0,45,290,120],"");
                var infoC = indexGrp.add("statictext",[10,5,240,25],"Index Select: レイヤーインデックスを指定");
                var rdGrp2 = indexGrp.add("group",[0,26,290,90],"");
                var rdBtn5 = rdGrp2.add("radiobutton",[5,2,50,22],"奇数");
                var rdBtn6 = rdGrp2.add("radiobutton",[60,2,105,22],"偶数");
                var rdBtn7 = rdGrp2.add("radiobutton",[115,2,190,22],"範囲指定");
                var chkBox = rdGrp2.add("checkbox",[15,27,105,42],"範囲指定あり");
                chkBox.enabled = false; 
                var infoE = rdGrp2.add("statictext",[195,5,280,20],"");
                var edTxtB = rdGrp2.add("edittext",[135,22,180,47],"");
                var infoD = rdGrp2.add("statictext",[185,25,200,47],"-"); infoD.justify = "center";
                var edTxtC = rdGrp2.add("edittext",[205,22,250,47],"");
                rdBtn7.value = true;
                indexGrp.visible = false;

                var propGrp = bld.add("panel",[5,175,295,235],"",{borderStyle:"gray"});
                var propInfo = propGrp.add("statictext",[30,5,150,20],"option : Select Property");
                propInfo.helpTip = "オプション : 選択レイヤー(複数可)の取得済みプロパティを選択  ※レイヤー選択後に実行";
                var getBtn = propGrp.add("button",[160,2,210,30],"GET");
                getBtn.helpTip = "選択したいプロパティ(１つ)を取得";
                var selectBtn = propGrp.add("button",[215,2,280,30],"select");
                selectBtn.helpTip = "選択レイヤー(複数可)の取得済みプロパティの選択";
                var propTxt = propGrp.add("statictext",[5,35,285,55],"non"); propTxt.justify = "center";
                propTxt.helpTip = "取得したプロパティ(１つのみ)";
                this.UI_fgColor255(propTxt,[220,150,0]);
                getBtn.onClick = function()
                                            {
                                                bSelf.propSTR = new Array();
                                                var oSTR = bSelf.getProp();
                                                if(bSelf.valE){
                                                    bSelf.valE = false;
                                                }else{
                                                    propTxt.text = "(" + oSTR.split("(")[oSTR.split("(").length-1];
                                                }
                                            }

                selectBtn.onClick = function()
                                                {
                                                    bSelf.selProperties();
                                                    propTxt.text = "";
                                                    this.propSTR = new Array();
                                                }

                edTxtB.onChanging = function()
                                            {
                                                var pattern = /^([1-9]\d*|0)$/;
                                                if(!pattern.test(this.text)){
                                                    this.text = "";
                                                    infoE.text = "※数値のみ可"
                                                }else{
                                                    if(0 < this.text){
                                                        if(edTxtC.text != ""){
                                                            if(this.text < edTxtC.text){
                                                                infoE.text = "";
                                                            }else{
                                                                infoE.text = "※左 <= 右";
                                                            }
                                                        }else{
                                                            infoE.text = "";
                                                        }
                                                    }else{
                                                        this.text = "";
                                                        infoE.text = "※0は不可";
                                                    }
                                                }
                                            }
                edTxtC.onChanging = function()
                                            {
                                                var pattern = /^([1-9]\d*|0)$/;
                                                if(!pattern.test(this.text)){
                                                    this.text = "";
                                                    infoE.text = "※数値のみ可"
                                                }else{
                                                    if(0 < this.text){
                                                        if(edTxtB.text != ""){
                                                            if(edTxtB.text < this.text){
                                                                infoE.text = "";
                                                            }else{
                                                                infoE.text = "※左 <= 右";
                                                            }
                                                        }else{
                                                            infoE.text = "";
                                                        }
                                                    }else{
                                                        this.text = "";
                                                        infoE.text = "※0は不可";
                                                    }
                                                }
                                            }
                rdBtn5.onClick = function()
                                            {
                                                chkBox.enabled = true;
                                                if(chkBox.value){
                                                    edTxtB.enabled = true;
                                                    infoD.enabled = true;
                                                    edTxtC.enabled = true;
                                                }else{
                                                    edTxtB.enabled = false;
                                                    infoD.enabled = false;
                                                    edTxtC.enabled = false;
                                                }
                                            }
                rdBtn6.onClick = function()
                                            {
                                                chkBox.enabled = true;
                                                if(chkBox.value){
                                                    edTxtB.enabled = true;
                                                    infoD.enabled = true;
                                                    edTxtC.enabled = true;
                                                }else{
                                                    edTxtB.enabled = false;
                                                    infoD.enabled = false;
                                                    edTxtC.enabled = false;
                                                }
                                            }
                rdBtn7.onClick = function()
                                            {
                                                chkBox.enabled = false;
                                                edTxtB.enabled = true;
                                                infoD.enabled = true;
                                                edTxtC.enabled = true;
                                            }
                chkBox.onClick = function()
                                            {
                                                if(this.value){
                                                    edTxtB.enabled = true;
                                                    infoD.enabled = true;
                                                    edTxtC.enabled = true;
                                                }else{
                                                    edTxtB.enabled = false;
                                                    infoD.enabled = false;
                                                    edTxtC.enabled = false;
                                                }
                                            }

                ddList.onChange = function()
                                            {
                                                //null対策
                                                if(this.selection == null){
                                                    nameGrp.visible = true;
                                                    labelGrp.visible = false;
                                                    indexGrp.visible = false;
                                                    this.selection = 0;
                                                }else{
                                                    switch(this.selection.index)
                                                    {
                                                        case 0: nameGrp.visible = true;
                                                                labelGrp.visible = false;
                                                                indexGrp.visible = false;
                                                                break;
                                                        case 1: nameGrp.visible = false;
                                                                labelList = new Array();
                                                                labelList = bSelf.getLabel();
                                                                if(bSelf.valE){
                                                                    bSelf.valE = false;
                                                                }else{
                                                                    while(labelDD.items.length > 0){
                                                                        labelDD.remove(0);
                                                                    };
                                                                    for(var i=0;i<labelList.length;i++){
                                                                        labelDD.add("item",labelList[i]);
                                                                    }
                                                                    labelDD.selection = 0;
                                                                    labelGrp.visible = true;
                                                                    indexGrp.visible = false;
                                                                }
                                                                break;
                                                        case 2: nameGrp.visible = false;
                                                                labelGrp.visible = false;
                                                                indexGrp.visible = true;
                                                                break;
                                                    }
                                                }
                                            }
                labelDD.onChange = function()
                                            {
                                                //null対策
                                                if(this.selection == null){
                                                    this.selection = 0;
                                                }
                                            }

                var btnGrp = bld.add("group",[5,bld.size[1]-35,bld.size[0]-5,bld.size[1]],"");
                var clBtn = btnGrp.add("button",[100,3,190,28],"CLOSE");
                clBtn.onClick = function()
                                        {
                                            bld.close();
                                        };
                var okBtn = btnGrp.add("button",[195,3,285,28],"SELECT");
                okBtn.onClick = function()
                                        {
                                            var rdVal = 0;
                                            if(rdBtn1.value){rdVal = 0;}else if(rdBtn2.value){rdVal = 1;}else if(rdBtn3.value){rdVal = 2;}else{rdVal = 3;}
                                            var rdVal2 = 2;
                                            if(rdBtn5.value){rdVal2 = 0;}else if(rdBtn6.value){rdVal2 = 1;}else{rdVal2 = 2;}
                                            bSelf.getComp(rdVal,ddList.selection.index,labelDD.selection,edTxtA.text,rdVal2,chkBox.value,edTxtB.text,edTxtC.text);
                                        };

                bld.center();
                bld.show();
            },

            //foregroundColor(0～255)
            UI_fgColor255: function(uiObj, uiColor)
            {
                var gColor = new Array();
                for(var i=0;i<3;i++){
                    gColor[i] = 1/255*Math.round(uiColor[i]);
                    //alert(gColor[i]);
                }
                var gUI = uiObj.graphics;
                var uiPen = gUI.newPen(gUI.PenType.SOLID_COLOR, [gColor[0], gColor[1], gColor[2], 1], 1);
                gUI.foregroundColor = uiPen;
            },

            runFunc: function(thisObj)
            {
                    this.osChk();
                    this.bldUI();
            }
        }

        // sub main
        var TMP = new runScr(thisObj);

        //アプリのバージョン確認 (CS6 over)
        if (parseFloat(app.version) < 11)
        {
            alert(TMP.strErr);
            return;
        }else{
            TMP.runFunc(thisObj);
        }
    }
})();